using System;
using System.ComponentModel;
using System.Configuration;
using System.Drawing;
using System.IO;
using System.Runtime.InteropServices;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ControlApp;

public class ControlApp : Form
{
	private Utils utils;

	private bool varified;

	private string[] bannedsights;

	private BackgroundWorker bg;

	private string[] currentsender;

	private static Guid FolderDownloads = new Guid("374DE290-123F-4565-9164-39C4925E467B");

	private IContainer components;

	private MenuStrip menuStrip1;

	private ToolStripMenuItem settingToolStripMenuItem;

	private ToolStripMenuItem configToolStripMenuItem;

	private TextBox meuser;

	private Label label3;

	private Timer timer1;

	private ToolStripMenuItem optionsToolStripMenuItem;

	private TabControl tabControl1;

	private TabPage tabPage1;

	private TabPage tabPage2;

	private Button button13;

	private Label label6;

	private Label label5;

	private TextBox btnbx;

	private TextBox msgbx;

	private CheckBox All_chk;

	private Label label4;

	private Button button9;

	private Button button8;

	private Button button7;

	private Button button5;

	private Button button4;

	private Button button3;

	private Button button2;

	private Label label2;

	private Button button1;

	private TextBox MainTxt;

	private Label label1;

	private Button ChangeWall_Btn;

	private TextBox webtxt;

	private Button DownloadFile_Btn;

	private Button RunNxt;

	private Label label8;

	private TextBox Nocomds;

	private Button button10;

	private Button RptSend;

	private Button button11;

	private Label label9;

	private TextBox filetxt;

	private Button FileSelecBtn;

	private OpenFileDialog openFileDialog1;

	private Button button17;

	private Button button12;

	private Button plaudbtn;

	private Button wfmbtn;

	private TextBox wfmtxt;

	private Label label10;

	private Label label7;

	private TextBox wfmnotxt;

	private ComboBox groupcmbx;

	private Label label11;

	private Label label12;

	private Label whonxtlbl;

	private Button tkscreen;

	private Button ClearOut;

	private Button wtchfrmebtn;

	private Button twitter;

	private Button senddelbtn;

	private Button TTSBtn;

	private TabPage tabPage3;

	private Label label13;

	private ComboBox DomBox;

	private Label label14;

	private Button dominvdec;

	private Button dominvacceptbtn;

	private TextBox dominvitetxt;

	private Button RunLastBtn;

	private Button webcambtn;

	private Panel panel1;

	private WebBrowser chat;

	private Button refreshbtn;

	private Button disablemsbtn;

	private Button button14;

	private Button RefreshAllBtn;

	private ToolStripMenuItem otherToolStripMenuItem;

	private ComboBox touser;

	private Button Thumbsupbtn;

	private Label label15;

	private TextBox ScoreTxt;

	public ControlApp()
	{
		InitializeComponent();
		utils = new Utils();
		string blist = ConfigurationManager.AppSettings["BlackList"];
		if (blist != null)
		{
			touser.Items.Clear();
			utils.blist = utils.seperate_string(blist);
		}
		varified = false;
		string ld = ConfigurationManager.AppSettings["LocalDrive"];
		if (ld == null || ld == "")
		{
			Configuration configuration = ConfigurationManager.OpenExeConfiguration(ConfigurationUserLevel.None);
			KeyValueConfigurationCollection settings = configuration.AppSettings.Settings;
			string dl = GetDownloadsPath() + "\\";
			settings.Remove("LocalDrive");
			settings.Add("LocalDrive", dl);
			configuration.Save(ConfigurationSaveMode.Full);
			ConfigurationManager.RefreshSection(configuration.AppSettings.SectionInformation.Name);
		}
		else if (ld.Substring(ld.Length - 1, 1) != "\\")
		{
			Configuration configuration2 = ConfigurationManager.OpenExeConfiguration(ConfigurationUserLevel.None);
			KeyValueConfigurationCollection settings2 = configuration2.AppSettings.Settings;
			string dl2 = ld + "\\";
			settings2.Remove("LocalDrive");
			settings2.Add("LocalDrive", dl2);
			configuration2.Save(ConfigurationSaveMode.Full);
			ConfigurationManager.RefreshSection(configuration2.AppSettings.SectionInformation.Name);
		}
	}

	protected override void OnLoad(EventArgs e)
	{
		base.OnLoad(e);
		bannedsights = new string[6] { "booru.allthefallen.moe", "mega.nz", "thecontrolapp.co.uk/Pages/ControlPC", "paradroid-gamma.vercel", "imagekit.io/tools/asset-public-link", "paradroid-gamma.web.app" };
	}

	public void refreshdom()
	{
		int seldom = DomBox.SelectedIndex;
		string[] domlist = utils.GetRelations();
		DomBox.Items.Clear();
		string[] array = domlist;
		foreach (string dom in array)
		{
			DomBox.Items.Add(dom);
		}
		DomBox.SelectedIndex = seldom;
		if (domlist.Length != 0)
		{
			DomBox.SelectedIndex = 0;
		}
		meuser.Text = ConfigurationManager.AppSettings["UserName"].ToString();
		string pwd = ConfigurationManager.AppSettings["Password"].ToString();
		string vrs = "012";
		chat.Url = new Uri("https://www.thecontrolapp.co.uk/Messages.aspx?usernm=" + meuser.Text + "&pwd=" + utils.Ecrypt(pwd) + "&vrs=" + vrs + "&othr=" + DomBox.Text);
		chat.Refresh();
		string[] invite = utils.GetInvites();
		if (invite.Length != 0)
		{
			dominvitetxt.Text = invite[0];
		}
		else
		{
			dominvitetxt.Text = "";
		}
	}

	private void configToolStripMenuItem_Click(object sender, EventArgs e)
	{
		new ConfigSettingsForm().ShowDialog();
		meuser.Text = ConfigurationManager.AppSettings["UserName"].ToString();
	}

	private void timer1_Tick(object sender, EventArgs e)
	{
		if (ConfigurationManager.AppSettings["RunAll"] == "True")
		{
			currentsender = utils.GetLatestItem();
		}
		chk_next();
	}

	private void button11_Click(object sender, EventArgs e)
	{
		string[] array = MainTxt.Text.Split("|||");
		string ret = "";
		string[] array2 = array;
		foreach (string s in array2)
		{
			ret = ret + utils.Decrypt(s) + "|||";
		}
		MainTxt.Text = ret;
	}

	[DllImport("shell32.dll", CharSet = CharSet.Auto)]
	private static extern int SHGetKnownFolderPath(ref Guid id, int flags, nint token, out nint path);

	public static string GetDownloadsPath()
	{
		if (Environment.OSVersion.Version.Major < 6)
		{
			throw new NotSupportedException();
		}
		nint pathPtr = IntPtr.Zero;
		try
		{
			SHGetKnownFolderPath(ref FolderDownloads, 0, IntPtr.Zero, out pathPtr);
			return Marshal.PtrToStringUni(pathPtr);
		}
		finally
		{
			Marshal.FreeCoTaskMem(pathPtr);
		}
	}

	private void Form1_Load(object sender, EventArgs e)
	{
		try
		{
			string userlist = ConfigurationManager.AppSettings["CommonUsers"];
			if (userlist != null)
			{
				touser.Items.Clear();
				string[] array = utils.seperate_string(userlist);
				foreach (string user in array)
				{
					touser.Items.Add(user);
				}
			}
			using (CustomMessage cm = new CustomMessage("Initialising, please wait", "", 0, tts: false))
			{
				cm.Show();
				chk_next();
			}
			int delay = ((ConfigurationManager.AppSettings["Delay"] != null) ? Convert.ToInt32(ConfigurationManager.AppSettings["Delay"]) : 60);
			timer1.Enabled = true;
			timer1.Interval = delay * 1000;
		}
		catch
		{
		}
	}

	public void chk_next()
	{
		System.Windows.Forms.Cursor.Show();
		Cursor cursor = System.Windows.Forms.Cursor.Current;
		System.Windows.Forms.Cursor.Current = Cursors.WaitCursor;
		try
		{
			string user = ConfigurationManager.AppSettings["UserName"].ToString();
			string pwd = ConfigurationManager.AppSettings["Password"].ToString();
			string vrs = "012";
			string result = utils.getcmd(user, pwd, vrs, "Outstanding");
			string[] ret = utils.seperate_string(result);
			Nocomds.Text = ret[0];
			whonxtlbl.Text = ret[1];
			if (ret[2] == "0")
			{
				varified = false;
			}
			else
			{
				varified = true;
			}
			ScoreTxt.Text = ret[3];
			if (Nocomds.Text != "0")
			{
				try
				{
					if (ConfigurationManager.AppSettings["OutstandRemind"] == null || !Convert.ToBoolean(ConfigurationManager.AppSettings["OutstandRemind"].ToString()))
					{
						if (Nocomds.Text == "1")
						{
							new CustomMessage("You have " + Nocomds.Text + " outstanding command.", "", 0, tts: true).ShowDialog();
						}
						else if (Convert.ToInt16(Nocomds.Text) > 1)
						{
							new CustomMessage("You have " + Nocomds.Text + " outstanding commands.", "", 0, tts: true).ShowDialog();
						}
					}
				}
				catch
				{
				}
			}
		}
		catch (Exception ex)
		{
			utils.writetolog("Error checking for count", "Error checking for count :" + ex.Message);
		}
		System.Windows.Forms.Cursor.Current = cursor;
	}

	private void optionsToolStripMenuItem_Click(object sender, EventArgs e)
	{
		new Options().ShowDialog();
	}

	public void createmessageline(string code)
	{
		string line = "";
		if (webtxt.Text == "")
		{
			if (filetxt.Text == "")
			{
				MessageBox.Show("Please enter a file name.");
			}
			else
			{
				line = code + "=https://www.thecontrolapp.co.uk/storage/" + filetxt.Text;
			}
		}
		else
		{
			string[] array = bannedsights;
			foreach (string banned in array)
			{
				if (webtxt.Text.Contains(banned))
				{
					MessageBox.Show("Website banned");
					break;
				}
				line = code + "=" + webtxt.Text;
			}
		}
		line = utils.Ecrypt(line);
		TextBox mainTxt = MainTxt;
		mainTxt.Text = mainTxt.Text + line + "|||";
		webtxt.Text = "";
		filetxt.Text = "";
	}

	private void DownloadFile_Btn_Click(object sender, EventArgs e)
	{
		createmessageline("D");
	}

	private void ChangeWall_Btn_Click(object sender, EventArgs e)
	{
		string file = "";
		if (webtxt.Text != "")
		{
			file = webtxt.Text;
		}
		if (filetxt.Text != "")
		{
			file = filetxt.Text;
		}
		try
		{
			switch (Path.GetExtension(file))
			{
			case ".jpg":
			case ".jpeg":
			case ".png":
				createmessageline("P");
				break;
			default:
				MessageBox.Show("Incorrect file type. Please use only image files.");
				break;
			}
		}
		catch
		{
			MessageBox.Show("Incorrect file type. Please use only image files.");
		}
	}

	private void button1_Click(object sender, EventArgs e)
	{
		string file = "";
		if (webtxt.Text != "")
		{
			file = webtxt.Text;
		}
		if (filetxt.Text != "")
		{
			file = filetxt.Text;
		}
		try
		{
			string filetype = Path.GetExtension(file);
			if (filetype == ".exe" || filetype == ".bat")
			{
				createmessageline("R");
			}
			else
			{
				MessageBox.Show("Incorrect file type. Please use only exe or Bat");
			}
		}
		catch
		{
			MessageBox.Show("Incorrect file type. Please use only exe or Bat");
		}
	}

	private void button2_Click(object sender, EventArgs e)
	{
		createmessageline("W");
	}

	private void button7_Click_1(object sender, EventArgs e)
	{
		string file = "";
		if (webtxt.Text != "")
		{
			file = webtxt.Text;
		}
		if (filetxt.Text != "")
		{
			file = filetxt.Text;
		}
		try
		{
			switch (Path.GetExtension(file))
			{
			case ".jpg":
			case ".jpeg":
			case ".webm":
			case ".webp":
			case ".png":
			case ".mp4":
			case ".gif":
			case ".avi":
				createmessageline("U");
				break;
			default:
				MessageBox.Show("Incorrect file type. Please use only image or movie files");
				break;
			}
		}
		catch
		{
			MessageBox.Show("Incorrect file type. Please use only image or movie files");
		}
	}

	private void button8_Click_1(object sender, EventArgs e)
	{
		createmessageline("O");
	}

	private void button4_Click_1(object sender, EventArgs e)
	{
		if (msgbx.Text.Length < 2000)
		{
			string line = "M=" + msgbx.Text + "&&&" + btnbx.Text;
			line = utils.Ecrypt(line);
			TextBox mainTxt = MainTxt;
			mainTxt.Text = mainTxt.Text + line + "|||";
		}
		else
		{
			MessageBox.Show("Message is too long");
		}
	}

	private void button13_Click_1(object sender, EventArgs e)
	{
		string line = "V=" + msgbx.Text;
		line = utils.Ecrypt(line);
		TextBox mainTxt = MainTxt;
		mainTxt.Text = mainTxt.Text + line + "|||";
	}

	private void button3_Click_1(object sender, EventArgs e)
	{
		string[] lines = ((MainTxt.Text.IndexOf("|||") <= 0) ? new string[1] { MainTxt.Text } : MainTxt.Text.Split("|||"));
		string me = ConfigurationManager.AppSettings["UserName"].ToString();
		utils.run_process(lines, me);
	}

	private void button6_Click_1(object sender, EventArgs e)
	{
		Clipboard.SetText(MainTxt.Text);
	}

	private void button5_Click_1(object sender, EventArgs e)
	{
		MainTxt.Text = "";
	}

	private void button9_Click_1(object sender, EventArgs e)
	{
		try
		{
			string usernm = "";
			bool all = All_chk.Checked;
			string comm = MainTxt.Text;
			if (all)
			{
				touser.Text = "";
				if (groupcmbx.SelectedIndex == 0 || groupcmbx.SelectedIndex == -1)
				{
					MessageBox.Show("Please select a group.");
				}
				else
				{
					if (varified)
					{
						usernm = getgroup().ToString();
						utils.sendcmd(usernm, comm, all);
					}
					else
					{
						all = false;
						MessageBox.Show("Only varified users can send to all");
					}
					all = true;
				}
			}
			else if (groupcmbx.SelectedIndex == 0 || groupcmbx.SelectedIndex == -1)
			{
				usernm = touser.Text;
				utils.sendcmd(usernm, comm, all);
			}
			else
			{
				touser.Text = "";
				usernm = getgroup().ToString();
				utils.sendcmd(usernm, comm, all);
			}
		}
		catch (Exception ex)
		{
			string msg = ex.Message;
			utils.writetolog(msg, msg);
		}
		groupcmbx.SelectedIndex = 0;
		MainTxt.Text = "";
		senddelbtn.Enabled = true;
		tkscreen.Enabled = true;
		groupcmbx.Enabled = true;
	}

	private void RunNxt_Click(object sender, EventArgs e)
	{
		currentsender = utils.GetLatestItem();
		chk_next();
		Thumbsupbtn.Enabled = true;
	}

	private void button10_Click(object sender, EventArgs e)
	{
		if (currentsender[0] != "-1")
		{
			if (MessageBox.Show("Are you sure", "Sure?", MessageBoxButtons.YesNo) == DialogResult.Yes)
			{
				utils.SendBlockReport(currentsender[0], "", "0");
			}
		}
		else
		{
			MessageBox.Show("Last message was from an anonymous sender");
		}
	}

	private void RptSend_Click(object sender, EventArgs e)
	{
		if (MessageBox.Show("Are you sure", "Sure?", MessageBoxButtons.YesNo) == DialogResult.Yes)
		{
			utils.SendBlockReport(currentsender[0], currentsender[1], "1");
		}
	}

	private void button11_Click_1(object sender, EventArgs e)
	{
		chk_next();
	}

	private void button12_Click(object sender, EventArgs e)
	{
		utils.sendftpfile(filetxt.Text);
	}

	private void button14_Click(object sender, EventArgs e)
	{
		string[] array = MainTxt.Text.Split("|||");
		MainTxt.Text = "";
		string[] array2 = array;
		foreach (string s in array2)
		{
			MainTxt.Text += utils.Decrypt(s);
		}
	}

	private void button15_Click(object sender, EventArgs e)
	{
		if (varified)
		{
			if (openFileDialog1.ShowDialog() == DialogResult.OK)
			{
				string fulladdress = openFileDialog1.FileName;
				filetxt.Text = Path.GetFileName(fulladdress);
				new Webform("https://www.thecontrolapp.co.uk/upload.aspx?file=" + fulladdress).Show();
			}
			else
			{
				filetxt.Text = "";
			}
		}
		else
		{
			new CustomMessage("Only allowed for varified users", "", 0, tts: false).ShowDialog();
		}
	}

	private void tabPage2_Click(object sender, EventArgs e)
	{
	}

	public int getgroup()
	{
		return (groupcmbx.SelectedIndex + 1) * -1;
	}

	private void button17_Click(object sender, EventArgs e)
	{
		string file = "";
		if (webtxt.Text != "")
		{
			file = webtxt.Text;
		}
		if (filetxt.Text != "")
		{
			file = filetxt.Text;
		}
		try
		{
			switch (Path.GetExtension(file))
			{
			case ".jpg":
			case ".jpeg":
			case ".webp":
			case ".webm":
			case ".png":
			case ".mp4":
			case ".gif":
			case ".avi":
				createmessageline("S");
				break;
			default:
				MessageBox.Show("Incorrect file type. Please use only image or movie files");
				break;
			}
		}
		catch
		{
			MessageBox.Show("Incorrect file type. Please use only image or movie files");
		}
	}

	private void button12_Click_2(object sender, EventArgs e)
	{
		bool all = false;
		string comm = MainTxt.Text;
		if (groupcmbx.SelectedIndex == 0)
		{
			if (currentsender[0] != "-1")
			{
				utils.sendcmd(currentsender[0], comm, all);
			}
		}
		else if (currentsender[0] != null && Convert.ToInt16(currentsender[0]) >= -1)
		{
			string usernm = getgroup().ToString();
			all = true;
			utils.sendcmd(usernm, comm, all);
		}
		senddelbtn.Enabled = true;
	}

	private void wfmbtn_Click(object sender, EventArgs e)
	{
		if (int.TryParse(wfmnotxt.Text, out var _))
		{
			string line = "F=" + wfmtxt.Text + "&&&" + wfmnotxt.Text;
			line = utils.Ecrypt(line);
			TextBox mainTxt = MainTxt;
			mainTxt.Text = mainTxt.Text + line + "|||";
		}
		else
		{
			MessageBox.Show("How many must be a number.");
		}
	}

	private void plaudbtn_Click(object sender, EventArgs e)
	{
		string file = "";
		if (webtxt.Text != "")
		{
			file = webtxt.Text;
		}
		if (filetxt.Text != "")
		{
			file = filetxt.Text;
		}
		try
		{
			string filetype = Path.GetExtension(file);
			if (filetype == ".mp3" || filetype == ".wav")
			{
				createmessageline("A");
			}
			else
			{
				MessageBox.Show("Incorrect file type. Please use only sound files");
			}
		}
		catch
		{
			MessageBox.Show("Incorrect file type. Please use only sound files");
		}
	}

	private void button16_Click_1(object sender, EventArgs e)
	{
		MainTxt.Text = utils.Ecrypt(MainTxt.Text);
	}

	private void tkscreen_Click(object sender, EventArgs e)
	{
		if (varified)
		{
			string line = "1=Yes";
			line = utils.Ecrypt(line);
			TextBox mainTxt = MainTxt;
			mainTxt.Text = mainTxt.Text + line + "|||";
			tkscreen.Enabled = false;
		}
		else
		{
			new CustomMessage("Only allowed for varified users", "", 0, tts: false).ShowDialog();
		}
	}

	private void button18_Click(object sender, EventArgs e)
	{
	}

	private void ClearOut_Click(object sender, EventArgs e)
	{
		if (MessageBox.Show("Are you sure?", "Sure?", MessageBoxButtons.YesNo) == DialogResult.Yes)
		{
			string user = ConfigurationManager.AppSettings["UserName"].ToString();
			string pwd = ConfigurationManager.AppSettings["Password"].ToString();
			string vrs = "012";
			utils.deleteoutstanding(user, pwd, vrs);
			chk_next();
		}
	}

	private void wtchfrmebtn_Click(object sender, EventArgs e)
	{
		createmessageline("2");
	}

	private void twitter_Click(object sender, EventArgs e)
	{
		if (msgbx.Text.Length < 2000)
		{
			string line = "3=" + msgbx.Text;
			line = utils.Ecrypt(line);
			TextBox mainTxt = MainTxt;
			mainTxt.Text = mainTxt.Text + line + "|||";
		}
		else
		{
			MessageBox.Show("Message is too long");
		}
	}

	private void button19_Click(object sender, EventArgs e)
	{
		if (varified)
		{
			string line = "4=Yes";
			line = utils.Ecrypt(line);
			TextBox mainTxt = MainTxt;
			mainTxt.Text = mainTxt.Text + line + "|||";
		}
		else
		{
			new CustomMessage("Only allowed for varified users", "", 0, tts: false).ShowDialog();
		}
		senddelbtn.Enabled = false;
	}

	private void TTSBtn_Click(object sender, EventArgs e)
	{
		if (msgbx.Text.Length < 2000)
		{
			string line = "5=" + msgbx.Text;
			line = utils.Ecrypt(line);
			TextBox mainTxt = MainTxt;
			mainTxt.Text = mainTxt.Text + line + "|||";
		}
		else
		{
			MessageBox.Show("Message is too long");
		}
	}

	private void button14_Click_1(object sender, EventArgs e)
	{
		MainTxt.Text = utils.Ecrypt(MainTxt.Text);
	}

	private void RunLastBtn_Click(object sender, EventArgs e)
	{
		string[] runcode = currentsender[1].Split("|||");
		try
		{
			utils.run_process(runcode, currentsender[0]);
		}
		catch (Exception ex)
		{
			utils.writetolog("Error running process \n\r", ex.Message);
		}
	}

	private void webcambtn_Click(object sender, EventArgs e)
	{
		if (varified)
		{
			string line = "6=Yes";
			line = utils.Ecrypt(line);
			TextBox mainTxt = MainTxt;
			mainTxt.Text = mainTxt.Text + line + "|||";
		}
		else
		{
			new CustomMessage("Only allowed for varified users", "", 0, tts: false).ShowDialog();
		}
	}

	private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
	{
		ConfigurationManager.AppSettings["UserName"].ToString();
		string pwd = ConfigurationManager.AppSettings["Password"].ToString();
		string vrs = "012";
		chat.Url = new Uri("https://www.thecontrolapp.co.uk/Messages.aspx?usernm=" + meuser.Text + "&pwd=" + utils.Ecrypt(pwd) + "&vrs=" + vrs + "&othr=" + DomBox.Text);
		chat.Refresh();
	}

	private void refreshbtn_Click(object sender, EventArgs e)
	{
		ConfigurationManager.AppSettings["UserName"].ToString();
		string pwd = ConfigurationManager.AppSettings["Password"].ToString();
		string vrs = "012";
		chat.Url = new Uri("https://www.thecontrolapp.co.uk/Messages.aspx?usernm=" + meuser.Text + "&pwd=" + utils.Ecrypt(pwd) + "&vrs=" + vrs + "&othr=" + DomBox.Text);
		chat.Refresh();
	}

	private void dominvacceptbtn_Click(object sender, EventArgs e)
	{
		utils.AcceptInvite(dominvitetxt.Text);
	}

	private void dominvdec_Click(object sender, EventArgs e)
	{
		utils.RejectInvite(dominvitetxt.Text);
	}

	private void button14_Click_2(object sender, EventArgs e)
	{
		new CustomMessage("", "", 10, tts: false).ShowDialog();
	}

	private void disablemsbtn_Click(object sender, EventArgs e)
	{
		if (varified)
		{
			string line = "7=Yes";
			line = utils.Ecrypt(line);
			TextBox mainTxt = MainTxt;
			mainTxt.Text = mainTxt.Text + line + "|||";
		}
		else
		{
			new CustomMessage("Only allowed for varified users", "", 0, tts: false).ShowDialog();
		}
	}

	private void groupcmbx_SelectedIndexChanged(object sender, EventArgs e)
	{
	}

	private async void WaitFiveSeconds()
	{
		await Task.Delay(5000);
		MessageBox.Show("5 seconds have passed!");
	}

	private void button14_Click_3(object sender, EventArgs e)
	{
		if (varified)
		{
			string line = "8=Yes";
			line = utils.Ecrypt(line);
			TextBox mainTxt = MainTxt;
			mainTxt.Text = mainTxt.Text + line + "|||";
			groupcmbx.SelectedIndex = 8;
			groupcmbx.Enabled = false;
		}
		else
		{
			new CustomMessage("Only allowed for varified users", "", 0, tts: false).ShowDialog();
		}
	}

	private void RefreshAllBtn_Click(object sender, EventArgs e)
	{
		refreshdom();
		ConfigurationManager.AppSettings["UserName"].ToString();
		string pwd = ConfigurationManager.AppSettings["Password"].ToString();
		string vrs = "012";
		chat.Url = new Uri("https://www.thecontrolapp.co.uk/Messages.aspx?usernm=" + meuser.Text + "&pwd=" + utils.Ecrypt(pwd) + "&vrs=" + vrs + "&othr=" + DomBox.Text);
		chat.Refresh();
	}

	private void otherToolStripMenuItem_Click(object sender, EventArgs e)
	{
		using (Other ot = new Other())
		{
			ot.ShowDialog();
		}
		string userlist = ConfigurationManager.AppSettings["CommonUsers"];
		if (userlist != null)
		{
			touser.Items.Clear();
			string[] array = utils.seperate_string(userlist);
			foreach (string user in array)
			{
				touser.Items.Add(user);
			}
		}
	}

	private void Thumbsupbtn_Click(object sender, EventArgs e)
	{
		if (currentsender[0] != "-1")
		{
			string user = ConfigurationManager.AppSettings["UserName"].ToString();
			string pwd = ConfigurationManager.AppSettings["Password"].ToString();
			string vrs = "012";
			utils.getcmd(user, pwd, vrs, "Thumbs" + currentsender[0]);
			Thumbsupbtn.Enabled = false;
		}
	}

	protected override void Dispose(bool disposing)
	{
		if (disposing && components != null)
		{
			components.Dispose();
		}
		base.Dispose(disposing);
	}

	private void InitializeComponent()
	{
		this.components = new System.ComponentModel.Container();
		this.menuStrip1 = new System.Windows.Forms.MenuStrip();
		this.settingToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
		this.configToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
		this.optionsToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
		this.otherToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
		this.meuser = new System.Windows.Forms.TextBox();
		this.label3 = new System.Windows.Forms.Label();
		this.timer1 = new System.Windows.Forms.Timer(this.components);
		this.tabControl1 = new System.Windows.Forms.TabControl();
		this.tabPage1 = new System.Windows.Forms.TabPage();
		this.Thumbsupbtn = new System.Windows.Forms.Button();
		this.RunLastBtn = new System.Windows.Forms.Button();
		this.ClearOut = new System.Windows.Forms.Button();
		this.label12 = new System.Windows.Forms.Label();
		this.whonxtlbl = new System.Windows.Forms.Label();
		this.button11 = new System.Windows.Forms.Button();
		this.RptSend = new System.Windows.Forms.Button();
		this.button10 = new System.Windows.Forms.Button();
		this.RunNxt = new System.Windows.Forms.Button();
		this.label8 = new System.Windows.Forms.Label();
		this.Nocomds = new System.Windows.Forms.TextBox();
		this.tabPage2 = new System.Windows.Forms.TabPage();
		this.touser = new System.Windows.Forms.ComboBox();
		this.button14 = new System.Windows.Forms.Button();
		this.disablemsbtn = new System.Windows.Forms.Button();
		this.webcambtn = new System.Windows.Forms.Button();
		this.TTSBtn = new System.Windows.Forms.Button();
		this.senddelbtn = new System.Windows.Forms.Button();
		this.twitter = new System.Windows.Forms.Button();
		this.wtchfrmebtn = new System.Windows.Forms.Button();
		this.tkscreen = new System.Windows.Forms.Button();
		this.label11 = new System.Windows.Forms.Label();
		this.groupcmbx = new System.Windows.Forms.ComboBox();
		this.plaudbtn = new System.Windows.Forms.Button();
		this.wfmbtn = new System.Windows.Forms.Button();
		this.wfmtxt = new System.Windows.Forms.TextBox();
		this.label10 = new System.Windows.Forms.Label();
		this.label7 = new System.Windows.Forms.Label();
		this.wfmnotxt = new System.Windows.Forms.TextBox();
		this.button12 = new System.Windows.Forms.Button();
		this.button17 = new System.Windows.Forms.Button();
		this.FileSelecBtn = new System.Windows.Forms.Button();
		this.label9 = new System.Windows.Forms.Label();
		this.filetxt = new System.Windows.Forms.TextBox();
		this.button13 = new System.Windows.Forms.Button();
		this.label6 = new System.Windows.Forms.Label();
		this.label5 = new System.Windows.Forms.Label();
		this.btnbx = new System.Windows.Forms.TextBox();
		this.msgbx = new System.Windows.Forms.TextBox();
		this.All_chk = new System.Windows.Forms.CheckBox();
		this.label4 = new System.Windows.Forms.Label();
		this.button9 = new System.Windows.Forms.Button();
		this.button8 = new System.Windows.Forms.Button();
		this.button7 = new System.Windows.Forms.Button();
		this.button5 = new System.Windows.Forms.Button();
		this.button4 = new System.Windows.Forms.Button();
		this.button3 = new System.Windows.Forms.Button();
		this.button2 = new System.Windows.Forms.Button();
		this.label2 = new System.Windows.Forms.Label();
		this.button1 = new System.Windows.Forms.Button();
		this.MainTxt = new System.Windows.Forms.TextBox();
		this.label1 = new System.Windows.Forms.Label();
		this.ChangeWall_Btn = new System.Windows.Forms.Button();
		this.webtxt = new System.Windows.Forms.TextBox();
		this.DownloadFile_Btn = new System.Windows.Forms.Button();
		this.tabPage3 = new System.Windows.Forms.TabPage();
		this.RefreshAllBtn = new System.Windows.Forms.Button();
		this.refreshbtn = new System.Windows.Forms.Button();
		this.panel1 = new System.Windows.Forms.Panel();
		this.chat = new System.Windows.Forms.WebBrowser();
		this.label14 = new System.Windows.Forms.Label();
		this.dominvdec = new System.Windows.Forms.Button();
		this.dominvacceptbtn = new System.Windows.Forms.Button();
		this.dominvitetxt = new System.Windows.Forms.TextBox();
		this.label13 = new System.Windows.Forms.Label();
		this.DomBox = new System.Windows.Forms.ComboBox();
		this.openFileDialog1 = new System.Windows.Forms.OpenFileDialog();
		this.label15 = new System.Windows.Forms.Label();
		this.ScoreTxt = new System.Windows.Forms.TextBox();
		this.menuStrip1.SuspendLayout();
		this.tabControl1.SuspendLayout();
		this.tabPage1.SuspendLayout();
		this.tabPage2.SuspendLayout();
		this.tabPage3.SuspendLayout();
		this.panel1.SuspendLayout();
		base.SuspendLayout();
		this.menuStrip1.Items.AddRange(new System.Windows.Forms.ToolStripItem[1] { this.settingToolStripMenuItem });
		this.menuStrip1.Location = new System.Drawing.Point(0, 0);
		this.menuStrip1.Name = "menuStrip1";
		this.menuStrip1.Size = new System.Drawing.Size(868, 24);
		this.menuStrip1.TabIndex = 8;
		this.menuStrip1.Text = "menuStrip1";
		this.settingToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[3] { this.configToolStripMenuItem, this.optionsToolStripMenuItem, this.otherToolStripMenuItem });
		this.settingToolStripMenuItem.Name = "settingToolStripMenuItem";
		this.settingToolStripMenuItem.Size = new System.Drawing.Size(56, 20);
		this.settingToolStripMenuItem.Text = "Setting";
		this.configToolStripMenuItem.Name = "configToolStripMenuItem";
		this.configToolStripMenuItem.Size = new System.Drawing.Size(116, 22);
		this.configToolStripMenuItem.Text = "Config";
		this.configToolStripMenuItem.Click += new System.EventHandler(configToolStripMenuItem_Click);
		this.optionsToolStripMenuItem.Name = "optionsToolStripMenuItem";
		this.optionsToolStripMenuItem.Size = new System.Drawing.Size(116, 22);
		this.optionsToolStripMenuItem.Text = "Options";
		this.optionsToolStripMenuItem.Click += new System.EventHandler(optionsToolStripMenuItem_Click);
		this.otherToolStripMenuItem.Name = "otherToolStripMenuItem";
		this.otherToolStripMenuItem.Size = new System.Drawing.Size(116, 22);
		this.otherToolStripMenuItem.Text = "Other";
		this.otherToolStripMenuItem.Click += new System.EventHandler(otherToolStripMenuItem_Click);
		this.meuser.Enabled = false;
		this.meuser.Location = new System.Drawing.Point(102, 37);
		this.meuser.Name = "meuser";
		this.meuser.Size = new System.Drawing.Size(143, 23);
		this.meuser.TabIndex = 15;
		this.label3.AutoSize = true;
		this.label3.Location = new System.Drawing.Point(31, 40);
		this.label3.Name = "label3";
		this.label3.Size = new System.Drawing.Size(65, 15);
		this.label3.TabIndex = 16;
		this.label3.Text = "User Name";
		this.timer1.Interval = 1500;
		this.timer1.Tick += new System.EventHandler(timer1_Tick);
		this.tabControl1.Controls.Add(this.tabPage1);
		this.tabControl1.Controls.Add(this.tabPage2);
		this.tabControl1.Controls.Add(this.tabPage3);
		this.tabControl1.Location = new System.Drawing.Point(31, 66);
		this.tabControl1.Name = "tabControl1";
		this.tabControl1.SelectedIndex = 0;
		this.tabControl1.Size = new System.Drawing.Size(825, 422);
		this.tabControl1.TabIndex = 32;
		this.tabPage1.Controls.Add(this.Thumbsupbtn);
		this.tabPage1.Controls.Add(this.RunLastBtn);
		this.tabPage1.Controls.Add(this.ClearOut);
		this.tabPage1.Controls.Add(this.label12);
		this.tabPage1.Controls.Add(this.whonxtlbl);
		this.tabPage1.Controls.Add(this.button11);
		this.tabPage1.Controls.Add(this.RptSend);
		this.tabPage1.Controls.Add(this.button10);
		this.tabPage1.Controls.Add(this.RunNxt);
		this.tabPage1.Controls.Add(this.label8);
		this.tabPage1.Controls.Add(this.Nocomds);
		this.tabPage1.Location = new System.Drawing.Point(4, 24);
		this.tabPage1.Name = "tabPage1";
		this.tabPage1.Padding = new System.Windows.Forms.Padding(3);
		this.tabPage1.Size = new System.Drawing.Size(817, 394);
		this.tabPage1.TabIndex = 0;
		this.tabPage1.Text = "Received Commands";
		this.tabPage1.UseVisualStyleBackColor = true;
		this.Thumbsupbtn.Location = new System.Drawing.Point(342, 46);
		this.Thumbsupbtn.Name = "Thumbsupbtn";
		this.Thumbsupbtn.Size = new System.Drawing.Size(76, 23);
		this.Thumbsupbtn.TabIndex = 13;
		this.Thumbsupbtn.Text = "Thumbs up";
		this.Thumbsupbtn.UseVisualStyleBackColor = true;
		this.Thumbsupbtn.Click += new System.EventHandler(Thumbsupbtn_Click);
		this.RunLastBtn.Location = new System.Drawing.Point(236, 75);
		this.RunLastBtn.Name = "RunLastBtn";
		this.RunLastBtn.Size = new System.Drawing.Size(100, 23);
		this.RunLastBtn.TabIndex = 12;
		this.RunLastBtn.Text = "Run Last";
		this.RunLastBtn.UseVisualStyleBackColor = true;
		this.RunLastBtn.Click += new System.EventHandler(RunLastBtn_Click);
		this.ClearOut.Location = new System.Drawing.Point(22, 81);
		this.ClearOut.Name = "ClearOut";
		this.ClearOut.Size = new System.Drawing.Size(113, 23);
		this.ClearOut.TabIndex = 11;
		this.ClearOut.Text = "Clear Outstanding";
		this.ClearOut.UseVisualStyleBackColor = true;
		this.ClearOut.Click += new System.EventHandler(ClearOut_Click);
		this.label12.AutoSize = true;
		this.label12.Location = new System.Drawing.Point(22, 50);
		this.label12.Name = "label12";
		this.label12.Size = new System.Drawing.Size(78, 15);
		this.label12.TabIndex = 10;
		this.label12.Text = "Next is from :";
		this.whonxtlbl.AutoSize = true;
		this.whonxtlbl.Location = new System.Drawing.Point(106, 50);
		this.whonxtlbl.Name = "whonxtlbl";
		this.whonxtlbl.Size = new System.Drawing.Size(50, 15);
		this.whonxtlbl.TabIndex = 9;
		this.whonxtlbl.Text = "No Data";
		this.button11.Location = new System.Drawing.Point(236, 17);
		this.button11.Name = "button11";
		this.button11.Size = new System.Drawing.Size(100, 23);
		this.button11.TabIndex = 8;
		this.button11.Text = "Check";
		this.button11.UseVisualStyleBackColor = true;
		this.button11.Click += new System.EventHandler(button11_Click_1);
		this.RptSend.Location = new System.Drawing.Point(700, 46);
		this.RptSend.Name = "RptSend";
		this.RptSend.Size = new System.Drawing.Size(100, 23);
		this.RptSend.TabIndex = 7;
		this.RptSend.Text = "Report Sender";
		this.RptSend.UseVisualStyleBackColor = true;
		this.RptSend.Click += new System.EventHandler(RptSend_Click);
		this.button10.Location = new System.Drawing.Point(700, 17);
		this.button10.Name = "button10";
		this.button10.Size = new System.Drawing.Size(100, 23);
		this.button10.TabIndex = 6;
		this.button10.Text = "Block Sender";
		this.button10.UseVisualStyleBackColor = true;
		this.button10.Click += new System.EventHandler(button10_Click);
		this.RunNxt.Location = new System.Drawing.Point(236, 46);
		this.RunNxt.Name = "RunNxt";
		this.RunNxt.Size = new System.Drawing.Size(100, 23);
		this.RunNxt.TabIndex = 2;
		this.RunNxt.Text = "Run Next";
		this.RunNxt.UseVisualStyleBackColor = true;
		this.RunNxt.Click += new System.EventHandler(RunNxt_Click);
		this.label8.AutoSize = true;
		this.label8.Location = new System.Drawing.Point(128, 20);
		this.label8.Name = "label8";
		this.label8.Size = new System.Drawing.Size(102, 15);
		this.label8.TabIndex = 1;
		this.label8.Text = "No of Commands";
		this.Nocomds.Location = new System.Drawing.Point(22, 17);
		this.Nocomds.Name = "Nocomds";
		this.Nocomds.Size = new System.Drawing.Size(100, 23);
		this.Nocomds.TabIndex = 0;
		this.tabPage2.Controls.Add(this.touser);
		this.tabPage2.Controls.Add(this.button14);
		this.tabPage2.Controls.Add(this.disablemsbtn);
		this.tabPage2.Controls.Add(this.webcambtn);
		this.tabPage2.Controls.Add(this.TTSBtn);
		this.tabPage2.Controls.Add(this.senddelbtn);
		this.tabPage2.Controls.Add(this.twitter);
		this.tabPage2.Controls.Add(this.wtchfrmebtn);
		this.tabPage2.Controls.Add(this.tkscreen);
		this.tabPage2.Controls.Add(this.label11);
		this.tabPage2.Controls.Add(this.groupcmbx);
		this.tabPage2.Controls.Add(this.plaudbtn);
		this.tabPage2.Controls.Add(this.wfmbtn);
		this.tabPage2.Controls.Add(this.wfmtxt);
		this.tabPage2.Controls.Add(this.label10);
		this.tabPage2.Controls.Add(this.label7);
		this.tabPage2.Controls.Add(this.wfmnotxt);
		this.tabPage2.Controls.Add(this.button12);
		this.tabPage2.Controls.Add(this.button17);
		this.tabPage2.Controls.Add(this.FileSelecBtn);
		this.tabPage2.Controls.Add(this.label9);
		this.tabPage2.Controls.Add(this.filetxt);
		this.tabPage2.Controls.Add(this.button13);
		this.tabPage2.Controls.Add(this.label6);
		this.tabPage2.Controls.Add(this.label5);
		this.tabPage2.Controls.Add(this.btnbx);
		this.tabPage2.Controls.Add(this.msgbx);
		this.tabPage2.Controls.Add(this.All_chk);
		this.tabPage2.Controls.Add(this.label4);
		this.tabPage2.Controls.Add(this.button9);
		this.tabPage2.Controls.Add(this.button8);
		this.tabPage2.Controls.Add(this.button7);
		this.tabPage2.Controls.Add(this.button5);
		this.tabPage2.Controls.Add(this.button4);
		this.tabPage2.Controls.Add(this.button3);
		this.tabPage2.Controls.Add(this.button2);
		this.tabPage2.Controls.Add(this.label2);
		this.tabPage2.Controls.Add(this.button1);
		this.tabPage2.Controls.Add(this.MainTxt);
		this.tabPage2.Controls.Add(this.label1);
		this.tabPage2.Controls.Add(this.ChangeWall_Btn);
		this.tabPage2.Controls.Add(this.webtxt);
		this.tabPage2.Controls.Add(this.DownloadFile_Btn);
		this.tabPage2.Location = new System.Drawing.Point(4, 24);
		this.tabPage2.Name = "tabPage2";
		this.tabPage2.Padding = new System.Windows.Forms.Padding(3);
		this.tabPage2.Size = new System.Drawing.Size(817, 394);
		this.tabPage2.TabIndex = 1;
		this.tabPage2.Text = "Send Command";
		this.tabPage2.UseVisualStyleBackColor = true;
		this.tabPage2.Click += new System.EventHandler(tabPage2_Click);
		this.touser.FormattingEnabled = true;
		this.touser.Location = new System.Drawing.Point(507, 319);
		this.touser.Name = "touser";
		this.touser.Size = new System.Drawing.Size(140, 23);
		this.touser.TabIndex = 81;
		this.button14.Location = new System.Drawing.Point(410, 231);
		this.button14.Name = "button14";
		this.button14.Size = new System.Drawing.Size(75, 46);
		this.button14.TabIndex = 80;
		this.button14.Text = "Disable All Input";
		this.button14.UseVisualStyleBackColor = true;
		this.button14.Click += new System.EventHandler(button14_Click_3);
		this.disablemsbtn.Location = new System.Drawing.Point(410, 179);
		this.disablemsbtn.Name = "disablemsbtn";
		this.disablemsbtn.Size = new System.Drawing.Size(75, 46);
		this.disablemsbtn.TabIndex = 79;
		this.disablemsbtn.Text = "Disable Mouse";
		this.disablemsbtn.UseVisualStyleBackColor = true;
		this.disablemsbtn.Click += new System.EventHandler(disablemsbtn_Click);
		this.webcambtn.Location = new System.Drawing.Point(410, 127);
		this.webcambtn.Name = "webcambtn";
		this.webcambtn.Size = new System.Drawing.Size(75, 46);
		this.webcambtn.TabIndex = 78;
		this.webcambtn.Text = "Webcam Image";
		this.webcambtn.UseVisualStyleBackColor = true;
		this.webcambtn.Click += new System.EventHandler(webcambtn_Click);
		this.TTSBtn.Location = new System.Drawing.Point(271, 262);
		this.TTSBtn.Name = "TTSBtn";
		this.TTSBtn.Size = new System.Drawing.Size(77, 23);
		this.TTSBtn.TabIndex = 77;
		this.TTSBtn.Text = "TTS";
		this.TTSBtn.UseVisualStyleBackColor = true;
		this.TTSBtn.Click += new System.EventHandler(TTSBtn_Click);
		this.senddelbtn.Location = new System.Drawing.Point(410, 80);
		this.senddelbtn.Name = "senddelbtn";
		this.senddelbtn.Size = new System.Drawing.Size(75, 41);
		this.senddelbtn.TabIndex = 76;
		this.senddelbtn.Text = "Send or Delete";
		this.senddelbtn.UseVisualStyleBackColor = true;
		this.senddelbtn.Click += new System.EventHandler(button19_Click);
		this.twitter.Location = new System.Drawing.Point(18, 262);
		this.twitter.Name = "twitter";
		this.twitter.Size = new System.Drawing.Size(77, 23);
		this.twitter.TabIndex = 75;
		this.twitter.Text = "Twitter post";
		this.twitter.UseVisualStyleBackColor = true;
		this.twitter.Click += new System.EventHandler(twitter_Click);
		this.wtchfrmebtn.Location = new System.Drawing.Point(274, 179);
		this.wtchfrmebtn.Name = "wtchfrmebtn";
		this.wtchfrmebtn.Size = new System.Drawing.Size(118, 23);
		this.wtchfrmebtn.TabIndex = 74;
		this.wtchfrmebtn.Text = "Watch for me";
		this.wtchfrmebtn.UseVisualStyleBackColor = true;
		this.wtchfrmebtn.Click += new System.EventHandler(wtchfrmebtn_Click);
		this.tkscreen.Location = new System.Drawing.Point(410, 31);
		this.tkscreen.Name = "tkscreen";
		this.tkscreen.Size = new System.Drawing.Size(75, 46);
		this.tkscreen.TabIndex = 73;
		this.tkscreen.Text = "Take Screenshot";
		this.tkscreen.UseVisualStyleBackColor = true;
		this.tkscreen.Click += new System.EventHandler(tkscreen_Click);
		this.label11.AutoSize = true;
		this.label11.Location = new System.Drawing.Point(425, 350);
		this.label11.Name = "label11";
		this.label11.Size = new System.Drawing.Size(40, 15);
		this.label11.TabIndex = 72;
		this.label11.Text = "Group";
		this.groupcmbx.FormattingEnabled = true;
		this.groupcmbx.Items.AddRange(new object[19]
		{
			"", "Hypno", "Goon", "Censored", "Girl Cock", "Male focus", "Female focus", "BDSM", "Extreme", "Trans",
			"Panic", "Blackmail/Exposure", "Latex/Rubber", "Sissy", "Chastity", "Furry", "Feet", "Praise/Wholesome", "Misc"
		});
		this.groupcmbx.Location = new System.Drawing.Point(507, 347);
		this.groupcmbx.Name = "groupcmbx";
		this.groupcmbx.Size = new System.Drawing.Size(140, 23);
		this.groupcmbx.TabIndex = 71;
		this.groupcmbx.SelectedIndexChanged += new System.EventHandler(groupcmbx_SelectedIndexChanged);
		this.plaudbtn.Location = new System.Drawing.Point(147, 179);
		this.plaudbtn.Name = "plaudbtn";
		this.plaudbtn.Size = new System.Drawing.Size(118, 23);
		this.plaudbtn.TabIndex = 70;
		this.plaudbtn.Text = "Play Audio";
		this.plaudbtn.UseVisualStyleBackColor = true;
		this.plaudbtn.Click += new System.EventHandler(plaudbtn_Click);
		this.wfmbtn.Location = new System.Drawing.Point(17, 346);
		this.wfmbtn.Name = "wfmbtn";
		this.wfmbtn.Size = new System.Drawing.Size(105, 23);
		this.wfmbtn.TabIndex = 69;
		this.wfmbtn.Text = "Write for me";
		this.wfmbtn.UseVisualStyleBackColor = true;
		this.wfmbtn.Click += new System.EventHandler(wfmbtn_Click);
		this.wfmtxt.Location = new System.Drawing.Point(17, 317);
		this.wfmtxt.Name = "wfmtxt";
		this.wfmtxt.Size = new System.Drawing.Size(284, 23);
		this.wfmtxt.TabIndex = 68;
		this.label10.AutoSize = true;
		this.label10.Location = new System.Drawing.Point(307, 298);
		this.label10.Name = "label10";
		this.label10.Size = new System.Drawing.Size(70, 15);
		this.label10.TabIndex = 67;
		this.label10.Text = "How many?";
		this.label7.AutoSize = true;
		this.label7.Location = new System.Drawing.Point(21, 298);
		this.label7.Name = "label7";
		this.label7.Size = new System.Drawing.Size(96, 15);
		this.label7.TabIndex = 66;
		this.label7.Text = "Write for me text";
		this.wfmnotxt.Location = new System.Drawing.Point(307, 317);
		this.wfmnotxt.Name = "wfmnotxt";
		this.wfmnotxt.Size = new System.Drawing.Size(44, 23);
		this.wfmnotxt.TabIndex = 65;
		this.button12.Location = new System.Drawing.Point(697, 349);
		this.button12.Name = "button12";
		this.button12.Size = new System.Drawing.Size(100, 23);
		this.button12.TabIndex = 64;
		this.button12.Text = "Responds";
		this.button12.UseVisualStyleBackColor = true;
		this.button12.Click += new System.EventHandler(button12_Click_2);
		this.button17.Location = new System.Drawing.Point(24, 179);
		this.button17.Name = "button17";
		this.button17.Size = new System.Drawing.Size(118, 23);
		this.button17.TabIndex = 63;
		this.button17.Text = "Subliminal";
		this.button17.UseVisualStyleBackColor = true;
		this.button17.Click += new System.EventHandler(button17_Click);
		this.FileSelecBtn.Location = new System.Drawing.Point(311, 80);
		this.FileSelecBtn.Name = "FileSelecBtn";
		this.FileSelecBtn.Size = new System.Drawing.Size(62, 23);
		this.FileSelecBtn.TabIndex = 61;
		this.FileSelecBtn.Text = "Select";
		this.FileSelecBtn.UseVisualStyleBackColor = true;
		this.FileSelecBtn.Click += new System.EventHandler(button15_Click);
		this.label9.AutoSize = true;
		this.label9.Location = new System.Drawing.Point(18, 62);
		this.label9.Name = "label9";
		this.label9.Size = new System.Drawing.Size(68, 15);
		this.label9.TabIndex = 59;
		this.label9.Text = "File transfer";
		this.filetxt.Location = new System.Drawing.Point(15, 80);
		this.filetxt.Name = "filetxt";
		this.filetxt.Size = new System.Drawing.Size(290, 23);
		this.filetxt.TabIndex = 58;
		this.button13.Location = new System.Drawing.Point(193, 262);
		this.button13.Name = "button13";
		this.button13.Size = new System.Drawing.Size(72, 23);
		this.button13.TabIndex = 54;
		this.button13.Text = "Subliminal";
		this.button13.UseVisualStyleBackColor = true;
		this.button13.Click += new System.EventHandler(button13_Click_1);
		this.label6.AutoSize = true;
		this.label6.Location = new System.Drawing.Point(271, 215);
		this.label6.Name = "label6";
		this.label6.Size = new System.Drawing.Size(67, 15);
		this.label6.TabIndex = 53;
		this.label6.Text = "Button Text";
		this.label5.AutoSize = true;
		this.label5.Location = new System.Drawing.Point(18, 215);
		this.label5.Name = "label5";
		this.label5.Size = new System.Drawing.Size(77, 15);
		this.label5.TabIndex = 52;
		this.label5.Text = "Message Text";
		this.btnbx.Location = new System.Drawing.Point(271, 233);
		this.btnbx.Name = "btnbx";
		this.btnbx.Size = new System.Drawing.Size(122, 23);
		this.btnbx.TabIndex = 51;
		this.msgbx.Location = new System.Drawing.Point(18, 233);
		this.msgbx.Name = "msgbx";
		this.msgbx.Size = new System.Drawing.Size(241, 23);
		this.msgbx.TabIndex = 50;
		this.All_chk.AutoSize = true;
		this.All_chk.Location = new System.Drawing.Point(653, 318);
		this.All_chk.Name = "All_chk";
		this.All_chk.Size = new System.Drawing.Size(40, 19);
		this.All_chk.TabIndex = 49;
		this.All_chk.Text = "All";
		this.All_chk.UseVisualStyleBackColor = true;
		this.label4.AutoSize = true;
		this.label4.Location = new System.Drawing.Point(425, 322);
		this.label4.Name = "label4";
		this.label4.Size = new System.Drawing.Size(60, 15);
		this.label4.TabIndex = 48;
		this.label4.Text = "Username";
		this.button9.Location = new System.Drawing.Point(697, 320);
		this.button9.Name = "button9";
		this.button9.Size = new System.Drawing.Size(100, 23);
		this.button9.TabIndex = 47;
		this.button9.Text = "Send to";
		this.button9.UseVisualStyleBackColor = true;
		this.button9.Click += new System.EventHandler(button9_Click_1);
		this.button8.Location = new System.Drawing.Point(274, 150);
		this.button8.Name = "button8";
		this.button8.Size = new System.Drawing.Size(118, 23);
		this.button8.TabIndex = 45;
		this.button8.Text = "Pop (Url)";
		this.button8.UseVisualStyleBackColor = true;
		this.button8.Click += new System.EventHandler(button8_Click_1);
		this.button7.Location = new System.Drawing.Point(147, 149);
		this.button7.Name = "button7";
		this.button7.Size = new System.Drawing.Size(118, 23);
		this.button7.TabIndex = 44;
		this.button7.Text = "Pop (Download)";
		this.button7.UseVisualStyleBackColor = true;
		this.button7.Click += new System.EventHandler(button7_Click_1);
		this.button5.Location = new System.Drawing.Point(719, 274);
		this.button5.Name = "button5";
		this.button5.Size = new System.Drawing.Size(75, 23);
		this.button5.TabIndex = 42;
		this.button5.Text = "Clear";
		this.button5.UseVisualStyleBackColor = true;
		this.button5.Click += new System.EventHandler(button5_Click_1);
		this.button4.Location = new System.Drawing.Point(101, 262);
		this.button4.Name = "button4";
		this.button4.Size = new System.Drawing.Size(86, 23);
		this.button4.TabIndex = 41;
		this.button4.Text = "Message box";
		this.button4.UseVisualStyleBackColor = true;
		this.button4.Click += new System.EventHandler(button4_Click_1);
		this.button3.Location = new System.Drawing.Point(507, 274);
		this.button3.Name = "button3";
		this.button3.Size = new System.Drawing.Size(81, 23);
		this.button3.TabIndex = 40;
		this.button3.Text = "Run Input";
		this.button3.UseVisualStyleBackColor = true;
		this.button3.Click += new System.EventHandler(button3_Click_1);
		this.button2.Location = new System.Drawing.Point(24, 150);
		this.button2.Name = "button2";
		this.button2.Size = new System.Drawing.Size(118, 23);
		this.button2.TabIndex = 39;
		this.button2.Text = "Open Website";
		this.button2.UseVisualStyleBackColor = true;
		this.button2.Click += new System.EventHandler(button2_Click);
		this.label2.AutoSize = true;
		this.label2.Location = new System.Drawing.Point(512, 13);
		this.label2.Name = "label2";
		this.label2.Size = new System.Drawing.Size(78, 15);
		this.label2.TabIndex = 38;
		this.label2.Text = "Output/Input";
		this.button1.Location = new System.Drawing.Point(274, 123);
		this.button1.Name = "button1";
		this.button1.Size = new System.Drawing.Size(118, 23);
		this.button1.TabIndex = 37;
		this.button1.Text = "Run File";
		this.button1.UseVisualStyleBackColor = true;
		this.button1.Click += new System.EventHandler(button1_Click);
		this.MainTxt.Location = new System.Drawing.Point(504, 31);
		this.MainTxt.Multiline = true;
		this.MainTxt.Name = "MainTxt";
		this.MainTxt.Size = new System.Drawing.Size(290, 237);
		this.MainTxt.TabIndex = 36;
		this.label1.AutoSize = true;
		this.label1.Location = new System.Drawing.Point(18, 13);
		this.label1.Name = "label1";
		this.label1.Size = new System.Drawing.Size(76, 15);
		this.label1.TabIndex = 35;
		this.label1.Text = "Web Address";
		this.ChangeWall_Btn.Location = new System.Drawing.Point(147, 122);
		this.ChangeWall_Btn.Name = "ChangeWall_Btn";
		this.ChangeWall_Btn.Size = new System.Drawing.Size(118, 23);
		this.ChangeWall_Btn.TabIndex = 34;
		this.ChangeWall_Btn.Text = "Change Wallpaper";
		this.ChangeWall_Btn.UseVisualStyleBackColor = true;
		this.ChangeWall_Btn.Click += new System.EventHandler(ChangeWall_Btn_Click);
		this.webtxt.Location = new System.Drawing.Point(15, 31);
		this.webtxt.Name = "webtxt";
		this.webtxt.Size = new System.Drawing.Size(371, 23);
		this.webtxt.TabIndex = 33;
		this.DownloadFile_Btn.Location = new System.Drawing.Point(24, 121);
		this.DownloadFile_Btn.Name = "DownloadFile_Btn";
		this.DownloadFile_Btn.Size = new System.Drawing.Size(118, 23);
		this.DownloadFile_Btn.TabIndex = 32;
		this.DownloadFile_Btn.Text = "Download File";
		this.DownloadFile_Btn.UseVisualStyleBackColor = true;
		this.DownloadFile_Btn.Click += new System.EventHandler(DownloadFile_Btn_Click);
		this.tabPage3.Controls.Add(this.RefreshAllBtn);
		this.tabPage3.Controls.Add(this.refreshbtn);
		this.tabPage3.Controls.Add(this.panel1);
		this.tabPage3.Controls.Add(this.label14);
		this.tabPage3.Controls.Add(this.dominvdec);
		this.tabPage3.Controls.Add(this.dominvacceptbtn);
		this.tabPage3.Controls.Add(this.dominvitetxt);
		this.tabPage3.Controls.Add(this.label13);
		this.tabPage3.Controls.Add(this.DomBox);
		this.tabPage3.Location = new System.Drawing.Point(4, 24);
		this.tabPage3.Name = "tabPage3";
		this.tabPage3.Size = new System.Drawing.Size(817, 394);
		this.tabPage3.TabIndex = 2;
		this.tabPage3.Text = "Dom-page";
		this.tabPage3.UseVisualStyleBackColor = true;
		this.RefreshAllBtn.Location = new System.Drawing.Point(205, 12);
		this.RefreshAllBtn.Name = "RefreshAllBtn";
		this.RefreshAllBtn.Size = new System.Drawing.Size(75, 23);
		this.RefreshAllBtn.TabIndex = 11;
		this.RefreshAllBtn.Text = "Refresh All";
		this.RefreshAllBtn.UseVisualStyleBackColor = true;
		this.RefreshAllBtn.Click += new System.EventHandler(RefreshAllBtn_Click);
		this.refreshbtn.Location = new System.Drawing.Point(338, 12);
		this.refreshbtn.Name = "refreshbtn";
		this.refreshbtn.Size = new System.Drawing.Size(86, 23);
		this.refreshbtn.TabIndex = 10;
		this.refreshbtn.Text = "Refresh Mess";
		this.refreshbtn.UseVisualStyleBackColor = true;
		this.refreshbtn.Click += new System.EventHandler(refreshbtn_Click);
		this.panel1.Controls.Add(this.chat);
		this.panel1.Location = new System.Drawing.Point(9, 44);
		this.panel1.Name = "panel1";
		this.panel1.Size = new System.Drawing.Size(802, 341);
		this.panel1.TabIndex = 9;
		this.chat.Dock = System.Windows.Forms.DockStyle.Fill;
		this.chat.Location = new System.Drawing.Point(0, 0);
		this.chat.Name = "chat";
		this.chat.Size = new System.Drawing.Size(802, 341);
		this.chat.TabIndex = 1;
		this.label14.AutoSize = true;
		this.label14.Location = new System.Drawing.Point(486, 16);
		this.label14.Name = "label14";
		this.label14.Size = new System.Drawing.Size(65, 15);
		this.label14.TabIndex = 8;
		this.label14.Text = "Dom Invite";
		this.dominvdec.Location = new System.Drawing.Point(739, 13);
		this.dominvdec.Name = "dominvdec";
		this.dominvdec.Size = new System.Drawing.Size(63, 23);
		this.dominvdec.TabIndex = 7;
		this.dominvdec.Text = "Decline";
		this.dominvdec.UseVisualStyleBackColor = true;
		this.dominvdec.Click += new System.EventHandler(dominvdec_Click);
		this.dominvacceptbtn.Location = new System.Drawing.Point(670, 13);
		this.dominvacceptbtn.Name = "dominvacceptbtn";
		this.dominvacceptbtn.Size = new System.Drawing.Size(63, 23);
		this.dominvacceptbtn.TabIndex = 6;
		this.dominvacceptbtn.Text = "Accept";
		this.dominvacceptbtn.UseVisualStyleBackColor = true;
		this.dominvacceptbtn.Click += new System.EventHandler(dominvacceptbtn_Click);
		this.dominvitetxt.Location = new System.Drawing.Point(557, 13);
		this.dominvitetxt.Name = "dominvitetxt";
		this.dominvitetxt.Size = new System.Drawing.Size(100, 23);
		this.dominvitetxt.TabIndex = 5;
		this.label13.AutoSize = true;
		this.label13.Location = new System.Drawing.Point(9, 16);
		this.label13.Name = "label13";
		this.label13.Size = new System.Drawing.Size(33, 15);
		this.label13.TabIndex = 4;
		this.label13.Text = "Dom";
		this.DomBox.FormattingEnabled = true;
		this.DomBox.Location = new System.Drawing.Point(57, 13);
		this.DomBox.Name = "DomBox";
		this.DomBox.Size = new System.Drawing.Size(121, 23);
		this.DomBox.TabIndex = 3;
		this.DomBox.SelectedIndexChanged += new System.EventHandler(comboBox1_SelectedIndexChanged);
		this.openFileDialog1.FileName = "openFileDialog1";
		this.label15.AutoSize = true;
		this.label15.Location = new System.Drawing.Point(673, 37);
		this.label15.Name = "label15";
		this.label15.Size = new System.Drawing.Size(63, 15);
		this.label15.TabIndex = 34;
		this.label15.Text = "Your Score";
		this.ScoreTxt.Location = new System.Drawing.Point(735, 34);
		this.ScoreTxt.Name = "ScoreTxt";
		this.ScoreTxt.Size = new System.Drawing.Size(100, 23);
		this.ScoreTxt.TabIndex = 35;
		base.AutoScaleDimensions = new System.Drawing.SizeF(7f, 15f);
		base.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
		base.ClientSize = new System.Drawing.Size(868, 503);
		base.Controls.Add(this.ScoreTxt);
		base.Controls.Add(this.label15);
		base.Controls.Add(this.tabControl1);
		base.Controls.Add(this.label3);
		base.Controls.Add(this.meuser);
		base.Controls.Add(this.menuStrip1);
		base.MainMenuStrip = this.menuStrip1;
		base.Name = "ControlApp";
		this.Text = "The Control App v0.1.2";
		base.Load += new System.EventHandler(Form1_Load);
		this.menuStrip1.ResumeLayout(false);
		this.menuStrip1.PerformLayout();
		this.tabControl1.ResumeLayout(false);
		this.tabPage1.ResumeLayout(false);
		this.tabPage1.PerformLayout();
		this.tabPage2.ResumeLayout(false);
		this.tabPage2.PerformLayout();
		this.tabPage3.ResumeLayout(false);
		this.tabPage3.PerformLayout();
		this.panel1.ResumeLayout(false);
		base.ResumeLayout(false);
		base.PerformLayout();
	}
}
