using System;
using System.ComponentModel;
using System.Configuration;
using System.Drawing;
using System.Windows.Forms;

namespace ControlApp;

public class Options : Form
{
	private IContainer components;

	private Button SvExit;

	private TabControl tabControl1;

	private TabPage tabPage1;

	private TabPage tabPage2;

	private Panel panel4;

	private Label label5;

	private CheckBox showblocked;

	private CheckBox clickch;

	private Panel panel3;

	private RadioButton parallelrd;

	private RadioButton serialrd;

	private Label label4;

	private Panel panel2;

	private RadioButton fitsc;

	private RadioButton stret;

	private Label label3;

	private Panel panel1;

	private CheckBox outstandch;

	private CheckBox senddelch;

	private CheckBox watch4mech;

	private CheckBox twitch;

	private CheckBox screenshch;

	private CheckBox wrich;

	private CheckBox audioch;

	private CheckBox sublimch;

	private CheckBox messch;

	private CheckBox popch;

	private Label label2;

	private CheckBox opwebch;

	private CheckBox runch;

	private CheckBox wallpch;

	private CheckBox dlch;

	private Panel Popups;

	private RadioButton longpop;

	private RadioButton shortpop;

	private Label label1;

	private Panel panel5;

	private Label label6;

	private CheckBox dclickch;

	private Panel panel6;

	private RadioButton dparallelrd;

	private RadioButton dserialrd;

	private Label label7;

	private Panel panel7;

	private RadioButton dfitsc;

	private RadioButton dstret;

	private Label label8;

	private Panel panel8;

	private CheckBox dsenddelch;

	private CheckBox dwatch4mech;

	private CheckBox dtwitch;

	private CheckBox dscreenshch;

	private CheckBox dwrich;

	private CheckBox daudioch;

	private CheckBox dsublimch;

	private CheckBox dmessch;

	private CheckBox dpopch;

	private Label label9;

	private CheckBox dopwebch;

	private CheckBox drunch;

	private CheckBox dwallpch;

	private CheckBox ddlch;

	private Panel panel9;

	private RadioButton dlongpop;

	private RadioButton dshortpop;

	private Label label10;

	private CheckBox webcamch;

	private CheckBox dwebcamch;

	private CheckBox ttsch;

	private CheckBox dttch;

	private CheckBox dismch;

	private CheckBox ddismch;

	public Options()
	{
		InitializeComponent();
	}

	private void SvExit_Click(object sender, EventArgs e)
	{
		Configuration configuration = ConfigurationManager.OpenExeConfiguration(ConfigurationUserLevel.None);
		KeyValueConfigurationCollection apps = configuration.AppSettings.Settings;
		apps.Remove("Downloads");
		apps.Remove("Wallpapers");
		apps.Remove("Runables");
		apps.Remove("OpenWeb");
		apps.Remove("PopUps");
		apps.Remove("Messages");
		apps.Remove("Subliminals");
		apps.Remove("PopSet");
		apps.Remove("Audios");
		apps.Remove("Writeformes");
		apps.Remove("Screenshots");
		apps.Remove("Watch4me");
		apps.Remove("twitter");
		apps.Remove("PaperStyle");
		apps.Remove("Popstyle");
		apps.Remove("SendDelete");
		apps.Remove("OutstandRemind");
		apps.Remove("Clickthroughpop");
		apps.Remove("Showblocked");
		apps.Remove("Webcam");
		apps.Remove("TTS");
		apps.Remove("DisM");
		if (showblocked.Checked)
		{
			apps.Add("Showblocked", "True");
		}
		else
		{
			apps.Add("Showblocked", "False");
		}
		if (clickch.Checked)
		{
			apps.Add("Clickthroughpop", "True");
		}
		else
		{
			apps.Add("Clickthroughpop", "False");
		}
		string OutstandRemind = outstandch.Checked.ToString();
		apps.Add("OutstandRemind", OutstandRemind);
		if (serialrd.Checked)
		{
			apps.Add("Popstyle", "Serial");
		}
		else
		{
			apps.Add("Popstyle", "Parallel");
		}
		if (stret.Checked)
		{
			apps.Add("PaperStyle", "Stretch");
		}
		else
		{
			apps.Add("PaperStyle", "Fit");
		}
		string senddel = senddelch.Checked.ToString();
		apps.Add("SendDelete", senddel);
		string twitter = twitch.Checked.ToString();
		apps.Add("twitter", twitter);
		string Watch4me = watch4mech.Checked.ToString();
		apps.Add("Watch4me", Watch4me);
		string Screenshots = screenshch.Checked.ToString();
		apps.Add("Screenshots", Screenshots);
		string Audios = audioch.Checked.ToString();
		apps.Add("Audios", Audios);
		string Writeformes = wrich.Checked.ToString();
		apps.Add("Writeformes", Writeformes);
		string downloads = dlch.Checked.ToString();
		apps.Add("Downloads", downloads);
		string wallp = wallpch.Checked.ToString();
		apps.Add("Wallpapers", wallp);
		string runn = runch.Checked.ToString();
		apps.Add("Runables", runn);
		string webb = opwebch.Checked.ToString();
		apps.Add("OpenWeb", webb);
		string pops = popch.Checked.ToString();
		apps.Add("PopUps", pops);
		string messes = messch.Checked.ToString();
		apps.Add("Messages", messes);
		string sublims = sublimch.Checked.ToString();
		apps.Add("Subliminals", sublims);
		string webc = webcamch.Checked.ToString();
		apps.Add("Webcam", webc);
		string tts = ttsch.Checked.ToString();
		apps.Add("TTS", tts);
		string dism = dismch.Checked.ToString();
		apps.Add("DisM", dism);
		if (longpop.Checked)
		{
			apps.Add("PopSet", "Long");
		}
		else
		{
			apps.Add("PopSet", "Short");
		}
		apps.Remove("DDownloads");
		apps.Remove("DWallpapers");
		apps.Remove("DRunables");
		apps.Remove("DOpenWeb");
		apps.Remove("DPopUps");
		apps.Remove("DMessages");
		apps.Remove("DSubliminals");
		apps.Remove("DPopSet");
		apps.Remove("DAudios");
		apps.Remove("DWriteformes");
		apps.Remove("DScreenshots");
		apps.Remove("DWatch4me");
		apps.Remove("Dtwitter");
		apps.Remove("DPaperStyle");
		apps.Remove("DPopstyle");
		apps.Remove("DSendDelete");
		apps.Remove("DOutstandRemind");
		apps.Remove("DClickthroughpop");
		apps.Remove("DShowblocked");
		apps.Remove("DWebcam");
		apps.Remove("DTTS");
		apps.Remove("DDisM");
		if (dclickch.Checked)
		{
			apps.Add("DClickthroughpop", "True");
		}
		else
		{
			apps.Add("DClickthroughpop", "False");
		}
		if (dserialrd.Checked)
		{
			apps.Add("DPopstyle", "Serial");
		}
		else
		{
			apps.Add("DPopstyle", "Parallel");
		}
		if (dstret.Checked)
		{
			apps.Add("DPaperStyle", "Stretch");
		}
		else
		{
			apps.Add("DPaperStyle", "Fit");
		}
		string dsenddel = dsenddelch.Checked.ToString();
		apps.Add("DSendDelete", dsenddel);
		string dtwitter = dtwitch.Checked.ToString();
		apps.Add("Dtwitter", dtwitter);
		string dWatch4me = dwatch4mech.Checked.ToString();
		apps.Add("DWatch4me", dWatch4me);
		string dScreenshots = dscreenshch.Checked.ToString();
		apps.Add("DScreenshots", dScreenshots);
		string dAudios = daudioch.Checked.ToString();
		apps.Add("DAudios", dAudios);
		string dWriteformes = dwrich.Checked.ToString();
		apps.Add("DWriteformes", dWriteformes);
		string ddownloads = ddlch.Checked.ToString();
		apps.Add("DDownloads", ddownloads);
		string dwallp = dwallpch.Checked.ToString();
		apps.Add("DWallpapers", dwallp);
		string drunn = drunch.Checked.ToString();
		apps.Add("DRunables", drunn);
		string dwebb = dopwebch.Checked.ToString();
		apps.Add("DOpenWeb", dwebb);
		string dpops = dpopch.Checked.ToString();
		apps.Add("DPopUps", dpops);
		string dmesses = dmessch.Checked.ToString();
		apps.Add("DMessages", dmesses);
		string dsublims = dsublimch.Checked.ToString();
		apps.Add("DSubliminals", dsublims);
		string dwebc = dwebcamch.Checked.ToString();
		apps.Add("DWebcam", dwebc);
		string dttss = dttch.Checked.ToString();
		apps.Add("DTTS", dttss);
		string ddism = ddismch.Checked.ToString();
		apps.Add("DDisM", ddism);
		if (dlongpop.Checked)
		{
			apps.Add("DPopSet", "Long");
		}
		else
		{
			apps.Add("DPopSet", "Short");
		}
		configuration.Save(ConfigurationSaveMode.Full);
		ConfigurationManager.RefreshSection(configuration.AppSettings.SectionInformation.Name);
		Close();
	}

	private void Options_Load(object sender, EventArgs e)
	{
		string style = "Fit";
		string popstyle = "Serial";
		if (ConfigurationManager.AppSettings["PopStyle"] != null)
		{
			popstyle = ConfigurationManager.AppSettings["PopStyle"].ToString();
		}
		if (popstyle == "Serial")
		{
			serialrd.Checked = true;
			parallelrd.Checked = false;
		}
		else
		{
			serialrd.Checked = false;
			parallelrd.Checked = true;
		}
		if (ConfigurationManager.AppSettings["PaperStyle"] != null)
		{
			style = ConfigurationManager.AppSettings["PaperStyle"].ToString();
		}
		if (style == "Fit")
		{
			fitsc.Checked = true;
			stret.Checked = false;
		}
		else
		{
			fitsc.Checked = false;
			stret.Checked = true;
		}
		if (ConfigurationManager.AppSettings["Clickthroughpop"] == "True")
		{
			clickch.Checked = true;
		}
		else
		{
			clickch.Checked = false;
		}
		if (ConfigurationManager.AppSettings["Showblocked"] == "True")
		{
			showblocked.Checked = true;
		}
		else
		{
			showblocked.Checked = false;
		}
		string pop = "Short";
		if (ConfigurationManager.AppSettings["PopSet"] != null)
		{
			pop = ConfigurationManager.AppSettings["PopSet"].ToString();
		}
		if (pop == "Long")
		{
			longpop.Checked = true;
			shortpop.Checked = false;
		}
		else
		{
			longpop.Checked = false;
			shortpop.Checked = true;
		}
		if (ConfigurationManager.AppSettings["OutstandRemind"] != null)
		{
			string OutstandRemind = ConfigurationManager.AppSettings["OutstandRemind"].ToString();
			outstandch.Checked = Convert.ToBoolean(OutstandRemind);
		}
		if (ConfigurationManager.AppSettings["SendDelete"] != null)
		{
			string SendDelete = ConfigurationManager.AppSettings["SendDelete"].ToString();
			senddelch.Checked = Convert.ToBoolean(SendDelete);
		}
		if (ConfigurationManager.AppSettings["twitter"] != null)
		{
			string twitter = ConfigurationManager.AppSettings["twitter"].ToString();
			twitch.Checked = Convert.ToBoolean(twitter);
		}
		if (ConfigurationManager.AppSettings["Watch4me"] != null)
		{
			string Watch4me = ConfigurationManager.AppSettings["Watch4me"].ToString();
			watch4mech.Checked = Convert.ToBoolean(Watch4me);
		}
		if (ConfigurationManager.AppSettings["Audios"] != null)
		{
			string Audios = ConfigurationManager.AppSettings["Audios"].ToString();
			audioch.Checked = Convert.ToBoolean(Audios);
		}
		if (ConfigurationManager.AppSettings["Writeformes"] != null)
		{
			string Writeformes = ConfigurationManager.AppSettings["Writeformes"].ToString();
			wrich.Checked = Convert.ToBoolean(Writeformes);
		}
		if (ConfigurationManager.AppSettings["Downloads"] != null)
		{
			string downloads = ConfigurationManager.AppSettings["Downloads"].ToString();
			dlch.Checked = Convert.ToBoolean(downloads);
		}
		if (ConfigurationManager.AppSettings["Wallpapers"] != null)
		{
			string wallp = ConfigurationManager.AppSettings["Wallpapers"].ToString();
			wallpch.Checked = Convert.ToBoolean(wallp);
		}
		if (ConfigurationManager.AppSettings["Runables"] != null)
		{
			string runn = ConfigurationManager.AppSettings["Runables"].ToString();
			runch.Checked = Convert.ToBoolean(runn);
		}
		if (ConfigurationManager.AppSettings["ScreenShots"] != null)
		{
			string scre = ConfigurationManager.AppSettings["ScreenShots"].ToString();
			screenshch.Checked = Convert.ToBoolean(scre);
		}
		if (ConfigurationManager.AppSettings["OpenWeb"] != null)
		{
			string webb = ConfigurationManager.AppSettings["OpenWeb"].ToString();
			opwebch.Checked = Convert.ToBoolean(webb);
		}
		if (ConfigurationManager.AppSettings["PopUps"] != null)
		{
			string pops = ConfigurationManager.AppSettings["PopUps"].ToString();
			popch.Checked = Convert.ToBoolean(pops);
		}
		if (ConfigurationManager.AppSettings["Messages"] != null)
		{
			string messes = ConfigurationManager.AppSettings["Messages"].ToString();
			messch.Checked = Convert.ToBoolean(messes);
		}
		if (ConfigurationManager.AppSettings["Subliminals"] != null)
		{
			string sublims = ConfigurationManager.AppSettings["Subliminals"].ToString();
			sublimch.Checked = Convert.ToBoolean(sublims);
		}
		if (ConfigurationManager.AppSettings["Webcam"] != null)
		{
			string Webcam = ConfigurationManager.AppSettings["Webcam"].ToString();
			webcamch.Checked = Convert.ToBoolean(Webcam);
		}
		if (ConfigurationManager.AppSettings["TTS"] != null)
		{
			string TTS = ConfigurationManager.AppSettings["TTS"].ToString();
			ttsch.Checked = Convert.ToBoolean(TTS);
		}
		if (ConfigurationManager.AppSettings["DisM"] != null)
		{
			string dism = ConfigurationManager.AppSettings["DisM"].ToString();
			dismch.Checked = Convert.ToBoolean(dism);
		}
		if (ConfigurationManager.AppSettings["DPopStyle"] != null)
		{
			popstyle = ConfigurationManager.AppSettings["DPopStyle"].ToString();
		}
		if (popstyle == "Serial")
		{
			dserialrd.Checked = true;
			dparallelrd.Checked = false;
		}
		else
		{
			dserialrd.Checked = false;
			dparallelrd.Checked = true;
		}
		if (ConfigurationManager.AppSettings["DPaperStyle"] != null)
		{
			style = ConfigurationManager.AppSettings["DPaperStyle"].ToString();
		}
		if (style == "Fit")
		{
			dfitsc.Checked = true;
			dstret.Checked = false;
		}
		else
		{
			dfitsc.Checked = false;
			dstret.Checked = true;
		}
		pop = "Short";
		if (ConfigurationManager.AppSettings["DPopSet"] != null)
		{
			pop = ConfigurationManager.AppSettings["DPopSet"].ToString();
		}
		if (pop == "Long")
		{
			dlongpop.Checked = true;
			dshortpop.Checked = false;
		}
		else
		{
			dlongpop.Checked = false;
			dshortpop.Checked = true;
		}
		if (ConfigurationManager.AppSettings["DSendDelete"] != null)
		{
			string SendDelete2 = ConfigurationManager.AppSettings["DSendDelete"].ToString();
			dsenddelch.Checked = Convert.ToBoolean(SendDelete2);
		}
		if (ConfigurationManager.AppSettings["Dtwitter"] != null)
		{
			string twitter2 = ConfigurationManager.AppSettings["Dtwitter"].ToString();
			dtwitch.Checked = Convert.ToBoolean(twitter2);
		}
		if (ConfigurationManager.AppSettings["DWatch4me"] != null)
		{
			string Watch4me2 = ConfigurationManager.AppSettings["DWatch4me"].ToString();
			dwatch4mech.Checked = Convert.ToBoolean(Watch4me2);
		}
		if (ConfigurationManager.AppSettings["DAudios"] != null)
		{
			string Audios2 = ConfigurationManager.AppSettings["DAudios"].ToString();
			daudioch.Checked = Convert.ToBoolean(Audios2);
		}
		if (ConfigurationManager.AppSettings["DWriteformes"] != null)
		{
			string Writeformes2 = ConfigurationManager.AppSettings["DWriteformes"].ToString();
			dwrich.Checked = Convert.ToBoolean(Writeformes2);
		}
		if (ConfigurationManager.AppSettings["DDownloads"] != null)
		{
			string downloads2 = ConfigurationManager.AppSettings["DDownloads"].ToString();
			ddlch.Checked = Convert.ToBoolean(downloads2);
		}
		if (ConfigurationManager.AppSettings["DWallpapers"] != null)
		{
			string wallp2 = ConfigurationManager.AppSettings["DWallpapers"].ToString();
			dwallpch.Checked = Convert.ToBoolean(wallp2);
		}
		if (ConfigurationManager.AppSettings["DRunables"] != null)
		{
			string runn2 = ConfigurationManager.AppSettings["DRunables"].ToString();
			drunch.Checked = Convert.ToBoolean(runn2);
		}
		if (ConfigurationManager.AppSettings["DScreenShots"] != null)
		{
			string scre2 = ConfigurationManager.AppSettings["DScreenShots"].ToString();
			dscreenshch.Checked = Convert.ToBoolean(scre2);
		}
		if (ConfigurationManager.AppSettings["DOpenWeb"] != null)
		{
			string webb2 = ConfigurationManager.AppSettings["DOpenWeb"].ToString();
			dopwebch.Checked = Convert.ToBoolean(webb2);
		}
		if (ConfigurationManager.AppSettings["DPopUps"] != null)
		{
			string pops2 = ConfigurationManager.AppSettings["DPopUps"].ToString();
			dpopch.Checked = Convert.ToBoolean(pops2);
		}
		if (ConfigurationManager.AppSettings["DMessages"] != null)
		{
			string messes2 = ConfigurationManager.AppSettings["DMessages"].ToString();
			dmessch.Checked = Convert.ToBoolean(messes2);
		}
		if (ConfigurationManager.AppSettings["DSubliminals"] != null)
		{
			string sublims2 = ConfigurationManager.AppSettings["DSubliminals"].ToString();
			dsublimch.Checked = Convert.ToBoolean(sublims2);
		}
		if (ConfigurationManager.AppSettings["DWebcam"] != null)
		{
			string DWebcam = ConfigurationManager.AppSettings["DWebcam"].ToString();
			dwebcamch.Checked = Convert.ToBoolean(DWebcam);
		}
		if (ConfigurationManager.AppSettings["DTTS"] != null)
		{
			string DTTS = ConfigurationManager.AppSettings["DTTS"].ToString();
			dttch.Checked = Convert.ToBoolean(DTTS);
		}
		if (ConfigurationManager.AppSettings["DDisM"] != null)
		{
			string ddism = ConfigurationManager.AppSettings["DDisM"].ToString();
			ddismch.Checked = Convert.ToBoolean(ddism);
		}
	}

	private void tabPage1_Click(object sender, EventArgs e)
	{
	}

	private void webcamch_CheckedChanged(object sender, EventArgs e)
	{
	}

	protected override void Dispose(bool disposing)
	{
		if (disposing && components != null)
		{
			components.Dispose();
		}
		base.Dispose(disposing);
	}

	private void InitializeComponent()
	{
		this.SvExit = new System.Windows.Forms.Button();
		this.tabControl1 = new System.Windows.Forms.TabControl();
		this.tabPage1 = new System.Windows.Forms.TabPage();
		this.panel4 = new System.Windows.Forms.Panel();
		this.label5 = new System.Windows.Forms.Label();
		this.showblocked = new System.Windows.Forms.CheckBox();
		this.clickch = new System.Windows.Forms.CheckBox();
		this.panel3 = new System.Windows.Forms.Panel();
		this.parallelrd = new System.Windows.Forms.RadioButton();
		this.serialrd = new System.Windows.Forms.RadioButton();
		this.label4 = new System.Windows.Forms.Label();
		this.panel2 = new System.Windows.Forms.Panel();
		this.fitsc = new System.Windows.Forms.RadioButton();
		this.stret = new System.Windows.Forms.RadioButton();
		this.label3 = new System.Windows.Forms.Label();
		this.panel1 = new System.Windows.Forms.Panel();
		this.webcamch = new System.Windows.Forms.CheckBox();
		this.outstandch = new System.Windows.Forms.CheckBox();
		this.senddelch = new System.Windows.Forms.CheckBox();
		this.watch4mech = new System.Windows.Forms.CheckBox();
		this.twitch = new System.Windows.Forms.CheckBox();
		this.screenshch = new System.Windows.Forms.CheckBox();
		this.wrich = new System.Windows.Forms.CheckBox();
		this.audioch = new System.Windows.Forms.CheckBox();
		this.sublimch = new System.Windows.Forms.CheckBox();
		this.messch = new System.Windows.Forms.CheckBox();
		this.popch = new System.Windows.Forms.CheckBox();
		this.label2 = new System.Windows.Forms.Label();
		this.opwebch = new System.Windows.Forms.CheckBox();
		this.runch = new System.Windows.Forms.CheckBox();
		this.wallpch = new System.Windows.Forms.CheckBox();
		this.dlch = new System.Windows.Forms.CheckBox();
		this.Popups = new System.Windows.Forms.Panel();
		this.longpop = new System.Windows.Forms.RadioButton();
		this.shortpop = new System.Windows.Forms.RadioButton();
		this.label1 = new System.Windows.Forms.Label();
		this.tabPage2 = new System.Windows.Forms.TabPage();
		this.panel5 = new System.Windows.Forms.Panel();
		this.label6 = new System.Windows.Forms.Label();
		this.dclickch = new System.Windows.Forms.CheckBox();
		this.panel6 = new System.Windows.Forms.Panel();
		this.dparallelrd = new System.Windows.Forms.RadioButton();
		this.dserialrd = new System.Windows.Forms.RadioButton();
		this.label7 = new System.Windows.Forms.Label();
		this.panel7 = new System.Windows.Forms.Panel();
		this.dfitsc = new System.Windows.Forms.RadioButton();
		this.dstret = new System.Windows.Forms.RadioButton();
		this.label8 = new System.Windows.Forms.Label();
		this.panel8 = new System.Windows.Forms.Panel();
		this.dwebcamch = new System.Windows.Forms.CheckBox();
		this.dsenddelch = new System.Windows.Forms.CheckBox();
		this.dwatch4mech = new System.Windows.Forms.CheckBox();
		this.dtwitch = new System.Windows.Forms.CheckBox();
		this.dscreenshch = new System.Windows.Forms.CheckBox();
		this.dwrich = new System.Windows.Forms.CheckBox();
		this.daudioch = new System.Windows.Forms.CheckBox();
		this.dsublimch = new System.Windows.Forms.CheckBox();
		this.dmessch = new System.Windows.Forms.CheckBox();
		this.dpopch = new System.Windows.Forms.CheckBox();
		this.label9 = new System.Windows.Forms.Label();
		this.dopwebch = new System.Windows.Forms.CheckBox();
		this.drunch = new System.Windows.Forms.CheckBox();
		this.dwallpch = new System.Windows.Forms.CheckBox();
		this.ddlch = new System.Windows.Forms.CheckBox();
		this.panel9 = new System.Windows.Forms.Panel();
		this.dlongpop = new System.Windows.Forms.RadioButton();
		this.dshortpop = new System.Windows.Forms.RadioButton();
		this.label10 = new System.Windows.Forms.Label();
		this.ttsch = new System.Windows.Forms.CheckBox();
		this.dttch = new System.Windows.Forms.CheckBox();
		this.dismch = new System.Windows.Forms.CheckBox();
		this.ddismch = new System.Windows.Forms.CheckBox();
		this.tabControl1.SuspendLayout();
		this.tabPage1.SuspendLayout();
		this.panel4.SuspendLayout();
		this.panel3.SuspendLayout();
		this.panel2.SuspendLayout();
		this.panel1.SuspendLayout();
		this.Popups.SuspendLayout();
		this.tabPage2.SuspendLayout();
		this.panel5.SuspendLayout();
		this.panel6.SuspendLayout();
		this.panel7.SuspendLayout();
		this.panel8.SuspendLayout();
		this.panel9.SuspendLayout();
		base.SuspendLayout();
		this.SvExit.Location = new System.Drawing.Point(314, 473);
		this.SvExit.Name = "SvExit";
		this.SvExit.Size = new System.Drawing.Size(81, 23);
		this.SvExit.TabIndex = 1;
		this.SvExit.Text = "Save & Exit ";
		this.SvExit.UseVisualStyleBackColor = true;
		this.SvExit.Click += new System.EventHandler(SvExit_Click);
		this.tabControl1.Controls.Add(this.tabPage1);
		this.tabControl1.Controls.Add(this.tabPage2);
		this.tabControl1.Location = new System.Drawing.Point(12, 12);
		this.tabControl1.Name = "tabControl1";
		this.tabControl1.SelectedIndex = 0;
		this.tabControl1.Size = new System.Drawing.Size(695, 455);
		this.tabControl1.TabIndex = 20;
		this.tabPage1.Controls.Add(this.panel4);
		this.tabPage1.Controls.Add(this.panel3);
		this.tabPage1.Controls.Add(this.panel2);
		this.tabPage1.Controls.Add(this.panel1);
		this.tabPage1.Controls.Add(this.Popups);
		this.tabPage1.Location = new System.Drawing.Point(4, 24);
		this.tabPage1.Name = "tabPage1";
		this.tabPage1.Padding = new System.Windows.Forms.Padding(3);
		this.tabPage1.Size = new System.Drawing.Size(687, 427);
		this.tabPage1.TabIndex = 0;
		this.tabPage1.Text = "General";
		this.tabPage1.UseVisualStyleBackColor = true;
		this.tabPage1.Click += new System.EventHandler(tabPage1_Click);
		this.panel4.Controls.Add(this.label5);
		this.panel4.Controls.Add(this.showblocked);
		this.panel4.Controls.Add(this.clickch);
		this.panel4.Location = new System.Drawing.Point(346, 89);
		this.panel4.Name = "panel4";
		this.panel4.Size = new System.Drawing.Size(334, 274);
		this.panel4.TabIndex = 29;
		this.label5.AutoSize = true;
		this.label5.Location = new System.Drawing.Point(7, 0);
		this.label5.Name = "label5";
		this.label5.Size = new System.Drawing.Size(49, 15);
		this.label5.TabIndex = 21;
		this.label5.Text = "Options";
		this.showblocked.AutoSize = true;
		this.showblocked.Location = new System.Drawing.Point(16, 59);
		this.showblocked.Name = "showblocked";
		this.showblocked.Size = new System.Drawing.Size(126, 19);
		this.showblocked.TabIndex = 20;
		this.showblocked.Text = "Show blocked msg";
		this.showblocked.UseVisualStyleBackColor = true;
		this.clickch.AutoSize = true;
		this.clickch.Location = new System.Drawing.Point(16, 34);
		this.clickch.Name = "clickch";
		this.clickch.Size = new System.Drawing.Size(136, 19);
		this.clickch.TabIndex = 19;
		this.clickch.Text = "Click through popup";
		this.clickch.UseVisualStyleBackColor = true;
		this.panel3.Controls.Add(this.parallelrd);
		this.panel3.Controls.Add(this.serialrd);
		this.panel3.Controls.Add(this.label4);
		this.panel3.Location = new System.Drawing.Point(346, 6);
		this.panel3.Name = "panel3";
		this.panel3.Size = new System.Drawing.Size(334, 77);
		this.panel3.TabIndex = 27;
		this.parallelrd.AutoSize = true;
		this.parallelrd.Location = new System.Drawing.Point(21, 43);
		this.parallelrd.Name = "parallelrd";
		this.parallelrd.Size = new System.Drawing.Size(198, 19);
		this.parallelrd.TabIndex = 2;
		this.parallelrd.TabStop = true;
		this.parallelrd.Text = "All at once (may cause pc issues)";
		this.parallelrd.UseVisualStyleBackColor = true;
		this.serialrd.AutoSize = true;
		this.serialrd.Location = new System.Drawing.Point(21, 18);
		this.serialrd.Name = "serialrd";
		this.serialrd.Size = new System.Drawing.Size(96, 19);
		this.serialrd.TabIndex = 1;
		this.serialrd.TabStop = true;
		this.serialrd.Text = "One at a time";
		this.serialrd.UseVisualStyleBackColor = true;
		this.label4.AutoSize = true;
		this.label4.Location = new System.Drawing.Point(3, 0);
		this.label4.Name = "label4";
		this.label4.Size = new System.Drawing.Size(47, 15);
		this.label4.TabIndex = 0;
		this.label4.Text = "Popups";
		this.panel2.Controls.Add(this.fitsc);
		this.panel2.Controls.Add(this.stret);
		this.panel2.Controls.Add(this.label3);
		this.panel2.Location = new System.Drawing.Point(6, 371);
		this.panel2.Name = "panel2";
		this.panel2.Size = new System.Drawing.Size(334, 48);
		this.panel2.TabIndex = 28;
		this.fitsc.AutoSize = true;
		this.fitsc.Location = new System.Drawing.Point(111, 18);
		this.fitsc.Name = "fitsc";
		this.fitsc.Size = new System.Drawing.Size(75, 19);
		this.fitsc.TabIndex = 2;
		this.fitsc.TabStop = true;
		this.fitsc.Text = "Fit screen";
		this.fitsc.UseVisualStyleBackColor = true;
		this.stret.AutoSize = true;
		this.stret.Location = new System.Drawing.Point(12, 18);
		this.stret.Name = "stret";
		this.stret.Size = new System.Drawing.Size(62, 19);
		this.stret.TabIndex = 1;
		this.stret.TabStop = true;
		this.stret.Text = "Stretch";
		this.stret.UseVisualStyleBackColor = true;
		this.label3.AutoSize = true;
		this.label3.Location = new System.Drawing.Point(3, 0);
		this.label3.Name = "label3";
		this.label3.Size = new System.Drawing.Size(60, 15);
		this.label3.TabIndex = 0;
		this.label3.Text = "Wallpaper";
		this.panel1.Controls.Add(this.dismch);
		this.panel1.Controls.Add(this.ttsch);
		this.panel1.Controls.Add(this.webcamch);
		this.panel1.Controls.Add(this.outstandch);
		this.panel1.Controls.Add(this.senddelch);
		this.panel1.Controls.Add(this.watch4mech);
		this.panel1.Controls.Add(this.twitch);
		this.panel1.Controls.Add(this.screenshch);
		this.panel1.Controls.Add(this.wrich);
		this.panel1.Controls.Add(this.audioch);
		this.panel1.Controls.Add(this.sublimch);
		this.panel1.Controls.Add(this.messch);
		this.panel1.Controls.Add(this.popch);
		this.panel1.Controls.Add(this.label2);
		this.panel1.Controls.Add(this.opwebch);
		this.panel1.Controls.Add(this.runch);
		this.panel1.Controls.Add(this.wallpch);
		this.panel1.Controls.Add(this.dlch);
		this.panel1.Location = new System.Drawing.Point(6, 89);
		this.panel1.Name = "panel1";
		this.panel1.Size = new System.Drawing.Size(334, 276);
		this.panel1.TabIndex = 26;
		this.webcamch.AutoSize = true;
		this.webcamch.Location = new System.Drawing.Point(122, 135);
		this.webcamch.Name = "webcamch";
		this.webcamch.Size = new System.Drawing.Size(73, 19);
		this.webcamch.TabIndex = 15;
		this.webcamch.Text = "Webcam";
		this.webcamch.UseVisualStyleBackColor = true;
		this.webcamch.CheckedChanged += new System.EventHandler(webcamch_CheckedChanged);
		this.outstandch.AutoSize = true;
		this.outstandch.Location = new System.Drawing.Point(122, 234);
		this.outstandch.Name = "outstandch";
		this.outstandch.Size = new System.Drawing.Size(143, 19);
		this.outstandch.TabIndex = 14;
		this.outstandch.Text = "Outstanding reminder";
		this.outstandch.UseVisualStyleBackColor = true;
		this.senddelch.AutoSize = true;
		this.senddelch.Location = new System.Drawing.Point(122, 110);
		this.senddelch.Name = "senddelch";
		this.senddelch.Size = new System.Drawing.Size(102, 19);
		this.senddelch.TabIndex = 13;
		this.senddelch.Text = "Send or Delete";
		this.senddelch.UseVisualStyleBackColor = true;
		this.watch4mech.AutoSize = true;
		this.watch4mech.Location = new System.Drawing.Point(122, 85);
		this.watch4mech.Name = "watch4mech";
		this.watch4mech.Size = new System.Drawing.Size(98, 19);
		this.watch4mech.TabIndex = 12;
		this.watch4mech.Text = "Watch for me";
		this.watch4mech.UseVisualStyleBackColor = true;
		this.twitch.AutoSize = true;
		this.twitch.Location = new System.Drawing.Point(122, 60);
		this.twitch.Name = "twitch";
		this.twitch.Size = new System.Drawing.Size(87, 19);
		this.twitch.TabIndex = 11;
		this.twitch.Text = "Twitter post";
		this.twitch.UseVisualStyleBackColor = true;
		this.screenshch.AutoSize = true;
		this.screenshch.Location = new System.Drawing.Point(122, 35);
		this.screenshch.Name = "screenshch";
		this.screenshch.Size = new System.Drawing.Size(92, 19);
		this.screenshch.TabIndex = 10;
		this.screenshch.Text = "Screen shots";
		this.screenshch.UseVisualStyleBackColor = true;
		this.wrich.AutoSize = true;
		this.wrich.Location = new System.Drawing.Point(12, 234);
		this.wrich.Name = "wrich";
		this.wrich.Size = new System.Drawing.Size(92, 19);
		this.wrich.TabIndex = 9;
		this.wrich.Text = "Write for me";
		this.wrich.UseVisualStyleBackColor = true;
		this.audioch.AutoSize = true;
		this.audioch.Location = new System.Drawing.Point(12, 209);
		this.audioch.Name = "audioch";
		this.audioch.Size = new System.Drawing.Size(58, 19);
		this.audioch.TabIndex = 8;
		this.audioch.Text = "Audio";
		this.audioch.UseVisualStyleBackColor = true;
		this.sublimch.AutoSize = true;
		this.sublimch.Location = new System.Drawing.Point(12, 185);
		this.sublimch.Name = "sublimch";
		this.sublimch.Size = new System.Drawing.Size(82, 19);
		this.sublimch.TabIndex = 7;
		this.sublimch.Text = "Subliminal";
		this.sublimch.UseVisualStyleBackColor = true;
		this.messch.AutoSize = true;
		this.messch.Location = new System.Drawing.Point(12, 160);
		this.messch.Name = "messch";
		this.messch.Size = new System.Drawing.Size(77, 19);
		this.messch.TabIndex = 6;
		this.messch.Text = "Messages";
		this.messch.UseVisualStyleBackColor = true;
		this.popch.AutoSize = true;
		this.popch.Location = new System.Drawing.Point(12, 135);
		this.popch.Name = "popch";
		this.popch.Size = new System.Drawing.Size(70, 19);
		this.popch.TabIndex = 5;
		this.popch.Text = "Pop Ups";
		this.popch.UseVisualStyleBackColor = true;
		this.label2.AutoSize = true;
		this.label2.Location = new System.Drawing.Point(12, 0);
		this.label2.Name = "label2";
		this.label2.Size = new System.Drawing.Size(56, 15);
		this.label2.TabIndex = 4;
		this.label2.Text = "Dis-allow";
		this.opwebch.AutoSize = true;
		this.opwebch.Location = new System.Drawing.Point(12, 110);
		this.opwebch.Name = "opwebch";
		this.opwebch.Size = new System.Drawing.Size(100, 19);
		this.opwebch.TabIndex = 3;
		this.opwebch.Text = "Open Website";
		this.opwebch.UseVisualStyleBackColor = true;
		this.runch.AutoSize = true;
		this.runch.Location = new System.Drawing.Point(12, 85);
		this.runch.Name = "runch";
		this.runch.Size = new System.Drawing.Size(93, 19);
		this.runch.TabIndex = 2;
		this.runch.Text = "Runable files";
		this.runch.UseVisualStyleBackColor = true;
		this.wallpch.AutoSize = true;
		this.wallpch.Location = new System.Drawing.Point(12, 60);
		this.wallpch.Name = "wallpch";
		this.wallpch.Size = new System.Drawing.Size(79, 19);
		this.wallpch.TabIndex = 1;
		this.wallpch.Text = "Wallpaper";
		this.wallpch.UseVisualStyleBackColor = true;
		this.dlch.AutoSize = true;
		this.dlch.Location = new System.Drawing.Point(12, 35);
		this.dlch.Name = "dlch";
		this.dlch.Size = new System.Drawing.Size(80, 19);
		this.dlch.TabIndex = 0;
		this.dlch.Text = "Download";
		this.dlch.UseVisualStyleBackColor = true;
		this.Popups.Controls.Add(this.longpop);
		this.Popups.Controls.Add(this.shortpop);
		this.Popups.Controls.Add(this.label1);
		this.Popups.Location = new System.Drawing.Point(6, 6);
		this.Popups.Name = "Popups";
		this.Popups.Size = new System.Drawing.Size(334, 77);
		this.Popups.TabIndex = 25;
		this.longpop.AutoSize = true;
		this.longpop.Location = new System.Drawing.Point(12, 43);
		this.longpop.Name = "longpop";
		this.longpop.Size = new System.Drawing.Size(185, 19);
		this.longpop.TabIndex = 2;
		this.longpop.TabStop = true;
		this.longpop.Text = "Long popups (1min - 10 mins)";
		this.longpop.UseVisualStyleBackColor = true;
		this.shortpop.AutoSize = true;
		this.shortpop.Location = new System.Drawing.Point(12, 18);
		this.shortpop.Name = "shortpop";
		this.shortpop.Size = new System.Drawing.Size(174, 19);
		this.shortpop.TabIndex = 1;
		this.shortpop.TabStop = true;
		this.shortpop.Text = "Short popups (10sec - 1min)";
		this.shortpop.UseVisualStyleBackColor = true;
		this.label1.AutoSize = true;
		this.label1.Location = new System.Drawing.Point(3, 0);
		this.label1.Name = "label1";
		this.label1.Size = new System.Drawing.Size(47, 15);
		this.label1.TabIndex = 0;
		this.label1.Text = "Popups";
		this.tabPage2.Controls.Add(this.panel5);
		this.tabPage2.Controls.Add(this.panel6);
		this.tabPage2.Controls.Add(this.panel7);
		this.tabPage2.Controls.Add(this.panel8);
		this.tabPage2.Controls.Add(this.panel9);
		this.tabPage2.Location = new System.Drawing.Point(4, 24);
		this.tabPage2.Name = "tabPage2";
		this.tabPage2.Padding = new System.Windows.Forms.Padding(3);
		this.tabPage2.Size = new System.Drawing.Size(687, 427);
		this.tabPage2.TabIndex = 1;
		this.tabPage2.Text = "Dom";
		this.tabPage2.UseVisualStyleBackColor = true;
		this.panel5.Controls.Add(this.label6);
		this.panel5.Controls.Add(this.dclickch);
		this.panel5.Location = new System.Drawing.Point(346, 90);
		this.panel5.Name = "panel5";
		this.panel5.Size = new System.Drawing.Size(334, 274);
		this.panel5.TabIndex = 34;
		this.label6.AutoSize = true;
		this.label6.Location = new System.Drawing.Point(7, 0);
		this.label6.Name = "label6";
		this.label6.Size = new System.Drawing.Size(49, 15);
		this.label6.TabIndex = 21;
		this.label6.Text = "Options";
		this.dclickch.AutoSize = true;
		this.dclickch.Location = new System.Drawing.Point(16, 34);
		this.dclickch.Name = "dclickch";
		this.dclickch.Size = new System.Drawing.Size(136, 19);
		this.dclickch.TabIndex = 19;
		this.dclickch.Text = "Click through popup";
		this.dclickch.UseVisualStyleBackColor = true;
		this.panel6.Controls.Add(this.dparallelrd);
		this.panel6.Controls.Add(this.dserialrd);
		this.panel6.Controls.Add(this.label7);
		this.panel6.Location = new System.Drawing.Point(346, 7);
		this.panel6.Name = "panel6";
		this.panel6.Size = new System.Drawing.Size(334, 77);
		this.panel6.TabIndex = 32;
		this.dparallelrd.AutoSize = true;
		this.dparallelrd.Location = new System.Drawing.Point(21, 43);
		this.dparallelrd.Name = "dparallelrd";
		this.dparallelrd.Size = new System.Drawing.Size(198, 19);
		this.dparallelrd.TabIndex = 2;
		this.dparallelrd.TabStop = true;
		this.dparallelrd.Text = "All at once (may cause pc issues)";
		this.dparallelrd.UseVisualStyleBackColor = true;
		this.dserialrd.AutoSize = true;
		this.dserialrd.Location = new System.Drawing.Point(21, 18);
		this.dserialrd.Name = "dserialrd";
		this.dserialrd.Size = new System.Drawing.Size(96, 19);
		this.dserialrd.TabIndex = 1;
		this.dserialrd.TabStop = true;
		this.dserialrd.Text = "One at a time";
		this.dserialrd.UseVisualStyleBackColor = true;
		this.label7.AutoSize = true;
		this.label7.Location = new System.Drawing.Point(3, 0);
		this.label7.Name = "label7";
		this.label7.Size = new System.Drawing.Size(47, 15);
		this.label7.TabIndex = 0;
		this.label7.Text = "Popups";
		this.panel7.Controls.Add(this.dfitsc);
		this.panel7.Controls.Add(this.dstret);
		this.panel7.Controls.Add(this.label8);
		this.panel7.Location = new System.Drawing.Point(6, 372);
		this.panel7.Name = "panel7";
		this.panel7.Size = new System.Drawing.Size(334, 48);
		this.panel7.TabIndex = 33;
		this.dfitsc.AutoSize = true;
		this.dfitsc.Location = new System.Drawing.Point(111, 18);
		this.dfitsc.Name = "dfitsc";
		this.dfitsc.Size = new System.Drawing.Size(75, 19);
		this.dfitsc.TabIndex = 2;
		this.dfitsc.TabStop = true;
		this.dfitsc.Text = "Fit screen";
		this.dfitsc.UseVisualStyleBackColor = true;
		this.dstret.AutoSize = true;
		this.dstret.Location = new System.Drawing.Point(12, 18);
		this.dstret.Name = "dstret";
		this.dstret.Size = new System.Drawing.Size(62, 19);
		this.dstret.TabIndex = 1;
		this.dstret.TabStop = true;
		this.dstret.Text = "Stretch";
		this.dstret.UseVisualStyleBackColor = true;
		this.label8.AutoSize = true;
		this.label8.Location = new System.Drawing.Point(3, 0);
		this.label8.Name = "label8";
		this.label8.Size = new System.Drawing.Size(60, 15);
		this.label8.TabIndex = 0;
		this.label8.Text = "Wallpaper";
		this.panel8.Controls.Add(this.ddismch);
		this.panel8.Controls.Add(this.dttch);
		this.panel8.Controls.Add(this.dwebcamch);
		this.panel8.Controls.Add(this.dsenddelch);
		this.panel8.Controls.Add(this.dwatch4mech);
		this.panel8.Controls.Add(this.dtwitch);
		this.panel8.Controls.Add(this.dscreenshch);
		this.panel8.Controls.Add(this.dwrich);
		this.panel8.Controls.Add(this.daudioch);
		this.panel8.Controls.Add(this.dsublimch);
		this.panel8.Controls.Add(this.dmessch);
		this.panel8.Controls.Add(this.dpopch);
		this.panel8.Controls.Add(this.label9);
		this.panel8.Controls.Add(this.dopwebch);
		this.panel8.Controls.Add(this.drunch);
		this.panel8.Controls.Add(this.dwallpch);
		this.panel8.Controls.Add(this.ddlch);
		this.panel8.Location = new System.Drawing.Point(6, 90);
		this.panel8.Name = "panel8";
		this.panel8.Size = new System.Drawing.Size(334, 276);
		this.panel8.TabIndex = 31;
		this.dwebcamch.AutoSize = true;
		this.dwebcamch.Location = new System.Drawing.Point(122, 135);
		this.dwebcamch.Name = "dwebcamch";
		this.dwebcamch.Size = new System.Drawing.Size(73, 19);
		this.dwebcamch.TabIndex = 16;
		this.dwebcamch.Text = "Webcam";
		this.dwebcamch.UseVisualStyleBackColor = true;
		this.dsenddelch.AutoSize = true;
		this.dsenddelch.Location = new System.Drawing.Point(122, 110);
		this.dsenddelch.Name = "dsenddelch";
		this.dsenddelch.Size = new System.Drawing.Size(102, 19);
		this.dsenddelch.TabIndex = 13;
		this.dsenddelch.Text = "Send or Delete";
		this.dsenddelch.UseVisualStyleBackColor = true;
		this.dwatch4mech.AutoSize = true;
		this.dwatch4mech.Location = new System.Drawing.Point(122, 85);
		this.dwatch4mech.Name = "dwatch4mech";
		this.dwatch4mech.Size = new System.Drawing.Size(98, 19);
		this.dwatch4mech.TabIndex = 12;
		this.dwatch4mech.Text = "Watch for me";
		this.dwatch4mech.UseVisualStyleBackColor = true;
		this.dtwitch.AutoSize = true;
		this.dtwitch.Location = new System.Drawing.Point(122, 60);
		this.dtwitch.Name = "dtwitch";
		this.dtwitch.Size = new System.Drawing.Size(87, 19);
		this.dtwitch.TabIndex = 11;
		this.dtwitch.Text = "Twitter post";
		this.dtwitch.UseVisualStyleBackColor = true;
		this.dscreenshch.AutoSize = true;
		this.dscreenshch.Location = new System.Drawing.Point(122, 35);
		this.dscreenshch.Name = "dscreenshch";
		this.dscreenshch.Size = new System.Drawing.Size(92, 19);
		this.dscreenshch.TabIndex = 10;
		this.dscreenshch.Text = "Screen shots";
		this.dscreenshch.UseVisualStyleBackColor = true;
		this.dwrich.AutoSize = true;
		this.dwrich.Location = new System.Drawing.Point(12, 234);
		this.dwrich.Name = "dwrich";
		this.dwrich.Size = new System.Drawing.Size(92, 19);
		this.dwrich.TabIndex = 9;
		this.dwrich.Text = "Write for me";
		this.dwrich.UseVisualStyleBackColor = true;
		this.daudioch.AutoSize = true;
		this.daudioch.Location = new System.Drawing.Point(12, 209);
		this.daudioch.Name = "daudioch";
		this.daudioch.Size = new System.Drawing.Size(58, 19);
		this.daudioch.TabIndex = 8;
		this.daudioch.Text = "Audio";
		this.daudioch.UseVisualStyleBackColor = true;
		this.dsublimch.AutoSize = true;
		this.dsublimch.Location = new System.Drawing.Point(12, 185);
		this.dsublimch.Name = "dsublimch";
		this.dsublimch.Size = new System.Drawing.Size(82, 19);
		this.dsublimch.TabIndex = 7;
		this.dsublimch.Text = "Subliminal";
		this.dsublimch.UseVisualStyleBackColor = true;
		this.dmessch.AutoSize = true;
		this.dmessch.Location = new System.Drawing.Point(12, 160);
		this.dmessch.Name = "dmessch";
		this.dmessch.Size = new System.Drawing.Size(77, 19);
		this.dmessch.TabIndex = 6;
		this.dmessch.Text = "Messages";
		this.dmessch.UseVisualStyleBackColor = true;
		this.dpopch.AutoSize = true;
		this.dpopch.Location = new System.Drawing.Point(12, 135);
		this.dpopch.Name = "dpopch";
		this.dpopch.Size = new System.Drawing.Size(70, 19);
		this.dpopch.TabIndex = 5;
		this.dpopch.Text = "Pop Ups";
		this.dpopch.UseVisualStyleBackColor = true;
		this.label9.AutoSize = true;
		this.label9.Location = new System.Drawing.Point(12, 0);
		this.label9.Name = "label9";
		this.label9.Size = new System.Drawing.Size(56, 15);
		this.label9.TabIndex = 4;
		this.label9.Text = "Dis-allow";
		this.dopwebch.AutoSize = true;
		this.dopwebch.Location = new System.Drawing.Point(12, 110);
		this.dopwebch.Name = "dopwebch";
		this.dopwebch.Size = new System.Drawing.Size(100, 19);
		this.dopwebch.TabIndex = 3;
		this.dopwebch.Text = "Open Website";
		this.dopwebch.UseVisualStyleBackColor = true;
		this.drunch.AutoSize = true;
		this.drunch.Location = new System.Drawing.Point(12, 85);
		this.drunch.Name = "drunch";
		this.drunch.Size = new System.Drawing.Size(93, 19);
		this.drunch.TabIndex = 2;
		this.drunch.Text = "Runable files";
		this.drunch.UseVisualStyleBackColor = true;
		this.dwallpch.AutoSize = true;
		this.dwallpch.Location = new System.Drawing.Point(12, 60);
		this.dwallpch.Name = "dwallpch";
		this.dwallpch.Size = new System.Drawing.Size(79, 19);
		this.dwallpch.TabIndex = 1;
		this.dwallpch.Text = "Wallpaper";
		this.dwallpch.UseVisualStyleBackColor = true;
		this.ddlch.AutoSize = true;
		this.ddlch.Location = new System.Drawing.Point(12, 35);
		this.ddlch.Name = "ddlch";
		this.ddlch.Size = new System.Drawing.Size(80, 19);
		this.ddlch.TabIndex = 0;
		this.ddlch.Text = "Download";
		this.ddlch.UseVisualStyleBackColor = true;
		this.panel9.Controls.Add(this.dlongpop);
		this.panel9.Controls.Add(this.dshortpop);
		this.panel9.Controls.Add(this.label10);
		this.panel9.Location = new System.Drawing.Point(6, 7);
		this.panel9.Name = "panel9";
		this.panel9.Size = new System.Drawing.Size(334, 77);
		this.panel9.TabIndex = 30;
		this.dlongpop.AutoSize = true;
		this.dlongpop.Location = new System.Drawing.Point(12, 43);
		this.dlongpop.Name = "dlongpop";
		this.dlongpop.Size = new System.Drawing.Size(185, 19);
		this.dlongpop.TabIndex = 2;
		this.dlongpop.TabStop = true;
		this.dlongpop.Text = "Long popups (1min - 10 mins)";
		this.dlongpop.UseVisualStyleBackColor = true;
		this.dshortpop.AutoSize = true;
		this.dshortpop.Location = new System.Drawing.Point(12, 18);
		this.dshortpop.Name = "dshortpop";
		this.dshortpop.Size = new System.Drawing.Size(174, 19);
		this.dshortpop.TabIndex = 1;
		this.dshortpop.TabStop = true;
		this.dshortpop.Text = "Short popups (10sec - 1min)";
		this.dshortpop.UseVisualStyleBackColor = true;
		this.label10.AutoSize = true;
		this.label10.Location = new System.Drawing.Point(3, 0);
		this.label10.Name = "label10";
		this.label10.Size = new System.Drawing.Size(47, 15);
		this.label10.TabIndex = 0;
		this.label10.Text = "Popups";
		this.ttsch.AutoSize = true;
		this.ttsch.Location = new System.Drawing.Point(122, 160);
		this.ttsch.Name = "ttsch";
		this.ttsch.Size = new System.Drawing.Size(44, 19);
		this.ttsch.TabIndex = 16;
		this.ttsch.Text = "TTS";
		this.ttsch.UseVisualStyleBackColor = true;
		this.dttch.AutoSize = true;
		this.dttch.Location = new System.Drawing.Point(122, 160);
		this.dttch.Name = "dttch";
		this.dttch.Size = new System.Drawing.Size(44, 19);
		this.dttch.TabIndex = 17;
		this.dttch.Text = "TTS";
		this.dttch.UseVisualStyleBackColor = true;
		this.dismch.AutoSize = true;
		this.dismch.Location = new System.Drawing.Point(122, 185);
		this.dismch.Name = "dismch";
		this.dismch.Size = new System.Drawing.Size(103, 19);
		this.dismch.TabIndex = 17;
		this.dismch.Text = "Disable Mouse";
		this.dismch.UseVisualStyleBackColor = true;
		this.ddismch.AutoSize = true;
		this.ddismch.Location = new System.Drawing.Point(122, 185);
		this.ddismch.Name = "ddismch";
		this.ddismch.Size = new System.Drawing.Size(103, 19);
		this.ddismch.TabIndex = 18;
		this.ddismch.Text = "Disable Mouse";
		this.ddismch.UseVisualStyleBackColor = true;
		base.AutoScaleDimensions = new System.Drawing.SizeF(7f, 15f);
		base.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
		base.ClientSize = new System.Drawing.Size(716, 506);
		base.Controls.Add(this.tabControl1);
		base.Controls.Add(this.SvExit);
		base.Name = "Options";
		this.Text = "Options";
		base.Load += new System.EventHandler(Options_Load);
		this.tabControl1.ResumeLayout(false);
		this.tabPage1.ResumeLayout(false);
		this.panel4.ResumeLayout(false);
		this.panel4.PerformLayout();
		this.panel3.ResumeLayout(false);
		this.panel3.PerformLayout();
		this.panel2.ResumeLayout(false);
		this.panel2.PerformLayout();
		this.panel1.ResumeLayout(false);
		this.panel1.PerformLayout();
		this.Popups.ResumeLayout(false);
		this.Popups.PerformLayout();
		this.tabPage2.ResumeLayout(false);
		this.panel5.ResumeLayout(false);
		this.panel5.PerformLayout();
		this.panel6.ResumeLayout(false);
		this.panel6.PerformLayout();
		this.panel7.ResumeLayout(false);
		this.panel7.PerformLayout();
		this.panel8.ResumeLayout(false);
		this.panel8.PerformLayout();
		this.panel9.ResumeLayout(false);
		this.panel9.PerformLayout();
		base.ResumeLayout(false);
	}
}
