using System;
using System.ComponentModel;
using System.Drawing;
using System.Media;
using System.Windows.Forms;
using WMPLib;

namespace ControlApp;

public class Audiopop : Form
{
	private string whatlocal;

	private IContainer components;

	public Audiopop(string what)
	{
		whatlocal = what;
		InitializeComponent();
	}

	private void Audiopop_Load(object sender, EventArgs e)
	{
		if (whatlocal.Substring(whatlocal.Length - 3, 3) == "wav")
		{
			new SoundPlayer(whatlocal).Play();
			Close();
			return;
		}
		WindowsMediaPlayerClass windowsMediaPlayerClass = new WindowsMediaPlayerClass();
		((IWMPPlayer4)windowsMediaPlayerClass).URL = whatlocal;
		((IWMPPlayer4)windowsMediaPlayerClass).controls.play();
		Close();
	}

	protected override void Dispose(bool disposing)
	{
		if (disposing && components != null)
		{
			components.Dispose();
		}
		base.Dispose(disposing);
	}

	private void InitializeComponent()
	{
		base.SuspendLayout();
		base.AutoScaleDimensions = new System.Drawing.SizeF(7f, 15f);
		base.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
		base.ClientSize = new System.Drawing.Size(800, 450);
		base.Name = "Audiopop";
		base.Opacity = 0.0;
		base.ShowIcon = false;
		base.ShowInTaskbar = false;
		this.Text = "Audiopop";
		base.Load += new System.EventHandler(Audiopop_Load);
		base.ResumeLayout(false);
	}
}
