using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;

namespace ControlApp;

public class Webform : Form
{
	private IContainer components;

	public Webform(string Url)
	{
		WebBrowser wb = new WebBrowser();
		wb.Navigate(Url);
		wb.Dock = DockStyle.Fill;
		base.Controls.Add(wb);
		InitializeComponent();
	}

	protected override void OnFormClosing(FormClosingEventArgs e)
	{
		base.OnFormClosing(e);
	}

	protected override void Dispose(bool disposing)
	{
		if (disposing && components != null)
		{
			components.Dispose();
		}
		base.Dispose(disposing);
	}

	private void InitializeComponent()
	{
		base.SuspendLayout();
		base.AutoScaleDimensions = new System.Drawing.SizeF(7f, 15f);
		base.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
		base.ClientSize = new System.Drawing.Size(800, 450);
		base.Name = "Webform";
		base.ResumeLayout(false);
	}
}
